--[[ WhoDrop은..

Niagara(테이블 생성)와.. ColaLight(툴팁 표시), 등의 도움을 받아 만들어진 애드온입니다... -_-;;;;;

입력된 자료들은 기본적으로 누구드랍에서 가져왔습니다...

버튼에 마우스 오버시에 툴팁을 보시기 위해서는 변형된 waterfall-1.10 라이브러리가 필요합니다..


]]

local waterfall = AceLibrary("Waterfall-1.0")
local console = AceLibrary("AceConsole-2.0")
local UFaction

WhoDrop = AceLibrary("AceAddon-2.0"):new("AceEvent-2.0", "AceHook-2.1", "AceModuleCore-2.0", "AceConsole-2.0", "AceDB-2.0", "FuBarPlugin-2.0")

local L = AceLibrary("AceLocale-2.2"):new("WhoDrop")
local BB = AceLibrary("Babble-Boss-2.2")
local BZ = AceLibrary("Babble-Zone-2.2")
local BF = AceLibrary("Babble-Faction-2.2")
local BT = AceLibrary("Babble-Tradeskill-2.2")
local BC = AceLibrary("Babble-Class-2.2")
local BI = AceLibrary("Babble-Inventory-2.2")
local BQ

BINDING_HEADER_WHODROP = "WhoDrop";
BINDING_NAME_AUTOSEARCH = L["Auto Search"];

WhoDrop.Menu = { 
	type = "group", 
	args = {
		Open = {
			name = L["Open"],
			order = 1,
			type = "execute",
			desc = L["Opens GUI"],
			disabled = "~IsActive",
			func = function() WhoDrop:OnClick() AceLibrary("Dewdrop-2.0"):Close() end,
		},
		Category = {
			name = L["Categorys"],
			desc = L["Toggle Category view"],
			type = "toggle",
			order = 2,
			get = function() return WhoDrop.db.profile.cat end,
			set = "cat",
			map = { [false] = L["Disabled"], [true] = L["Enabled"] }
		},
		TreeType = {
			name = L["TreeType"],
			desc = L["Toggle Tree types"],
			type = "text",
			order = 3,
			get = function() return WhoDrop.db.profile.tt end,
			set = "tree",
			validate = {"SECTIONS", "TREE"}
		},
		Opposing = {
			name = L["Opposing"],
			desc = L["Show Opposing"],
			type = "toggle",
			order = 4,
			get = function() return WhoDrop.db.profile.opp end,
			set = "opp",
		},
		Search = {
			type = "text",
			name = L["Search"],
			desc = L["Serching item by word or item ID"],
			usage = L["<text or item ID>"],
			order = 8,
			get = false,
			set = function (name)
				WhoDrop:Searching(name)
			end
		},
		AutoSearch = {
			type = "execute",
			name = L["Auto Search"],
			desc = L["Serching item by target name or instance name"],
			order = 9,
			func = function ()
				WhoDrop:SearchingInstance()
			end,
		},
		BQ = {
			name = L["Use BQ-2.2"],
			desc = L["Use Babble-Quest-2.2."],
			type = "toggle",
			order = 7,
			get = function() return WhoDrop.db.profile.quest end,
			set = function() 
				WhoDrop.db.profile.quest = not WhoDrop.db.profile.quest
				if WhoDrop.db.profile.quest then
					BQ = AceLibrary("Babble-Quest-2.2")
					WhoDrop:Construct()
				end
			end,
		},
		Drop = {
			name = L["Drop Item"],
			desc = L["Show Drop Item"],
			type = "toggle",
			order = 5,
			get = function() return WhoDrop.db.profile.drop end,
			set = function() 
				WhoDrop.db.profile.drop = not WhoDrop.db.profile.drop
				WhoDrop:Construct()
			end,
		},
		Quest = {
			name = L["Quest Reward"],
			desc = L["Show Quest Reward"],
			type = "toggle",
			order = 6,
			get = function() return WhoDrop.db.profile.reward end,
			set = function() 
				WhoDrop.db.profile.reward = not WhoDrop.db.profile.reward
				WhoDrop:Construct()
			end,
		},
	}
}

local qualitycolors = {
	[0] = "|cff9d9d9d",
	[1] = "|cffffffff",
	[2] = "|cff1eff00",
	[3] = "|cff0070dd",
	[4] = "|cffa335ee",
	[5] = "|cffff8000"
}

local CC = { } 

WhoDrop.hasIcon = "Interface\\Icons\\INV_Box_03"
WhoDrop.defaultPosition = "RIGHT"
WhoDrop.hasNoColor = true
WhoDrop.cannotDetachTooltip = true
WhoDrop.hideWithoutStandby = true
WhoDrop.OnMenuRequest = WhoDrop.Menu

function WhoDrop:OnInitialize()
	self:RegisterDB("WhoDropDB")
	self:RegisterDefaults("profile", {tt = "SECTIONS", cat = 0, drop = true})
	self.revision = tonumber(string.sub("$Rev: 32539 $", 7, -3))
	self.version = self.version .. " |cffff8888r"..self.revision.."|r"
	self:RegisterChatCommand({"/WhoDrop"}, self.Menu)
	CreateFrame("GameTooltip","WhoDropTooltip",UIParent,"GameTooltipTemplate")

	UFaction = string.sub(UnitFactionGroup("player"), 1, 1)
	if  UFaction == "H" then
		CC = {
			["T"] = "|cffffffff",
			["N"] = "|cff1eff00",
			["B"] = "|cff0070dd",
			["H"] = "|cff1eff00",
			["A"] = "|CFFFF2222",
			["R"] = "|cffa335ee",
		}
	else
		CC = {
			["T"] = "|cffffffff",
			["N"] = "|cff1eff00",
			["B"] = "|cff0070dd",
			["A"] = "|cff1eff00",
			["H"] = "|CFFFF2222",
			["R"] = "|cffa335ee",
		}
	end


	if self.db.profile.quest then
		BQ = AceLibrary("Babble-Quest-2.2")
	end
end

function WhoDrop:OnEnable()
	self.theTable = {type = "group", args = {}}
	self:ScheduleEvent(self.InitialConstruct, 3, self)
	waterfall:Register("WhoDrop", "title", "WhoDrop", 'treeType', self.db.profile.cat and "TREE" or self.db.profile.tt, "aceOptions", self.theTable, "colorR", 0.4, "colorG", 0.6, "colorB", 0.8)

	self:HookTooltips()
    
	-- register for the Links add on
	self:RegisterEvent("Links_LinkOpened")
end

function WhoDrop:OnDisable()
	waterfall:Close("WhoDrop")
	waterfall:UnRegister("WhoDrop")

	for name, module in self:IterateModules() do
		self:ToggleModuleActive(module, false)
	end
    
	self:UnhookAll()
	self:UnregisterAllEvents()
end

function WhoDrop:InitialConstruct()
	self:Construct()
end

function WhoDrop:Seperate(v)
	
	local _, _, name, d, o = string.find(string.gsub(v, "~", "\."), "([^|]+)[|]?(%u*)[|]?(%d*)")
	if d == nil or not d or d == "" then d = "T" end
	if o == nil or not o or o == "" then o = 100 else o = tonumber(o) end
	return name, d, o

end
function WhoDrop:FindDesc(v)
	local _, _, id, desc = string.find(v, "(%d+)[|]?(.*)")

	return tonumber(id), desc
end

function WhoDrop:FindLocal(name)
	
	if string.find(name, "-Hero") then
		_,_,name = string.find(name, "(.+)-Hero")
		return "|cffa335ee"..BZ[name].."("..L["Hero"]..")".."|r"
	elseif L:HasBaseTranslation(name) then
		return L[name]
	elseif BB:HasBaseTranslation(name) then
		return BB[name]
	elseif BF:HasBaseTranslation(name) then
		return BF[name]
	elseif BT:HasBaseTranslation(name) then
		return BT[name]
	elseif BC:HasBaseTranslation(name) then
		return BC[name]
	elseif BI:HasBaseTranslation(name) then
		return BI[name]
	elseif BZ:HasBaseTranslation(name) then
		return BZ[name]
	elseif self.db.profile.quest and BQ:HasBaseTranslation(name) then
		return BQ[name]
	else
		return name
	end
end

function WhoDrop:BuildTable()
	WhoDropData = { }

	if self.db.profile.drop then
		for k,v in pairs(WhoDropInstanceData) do
			WhoDropData[k]=v;
		end
	end

	if WhoDropFieldData and self.db.profile.reward then
		for k,v in pairs(WhoDropFieldData) do
			if WhoDropData[k] then
				for a, b in pairs(v) do
					WhoDropData[k][a] = b;
				end
			else
				WhoDropData[k] = v;
			end
		end
	end
	if WhoDropEtcData then
		for k, v in pairs(WhoDropEtcData) do
			if WhoDropData[k] then
				for a, b in pairs(v) do
					WhoDropData[k][a] = b;
				end
			else
				WhoDropData[k] = v;
			end
		end
	end
end	


function WhoDrop:HasNote(id)
	if WhoDropNote and WhoDropNote[id] then
		return true
	end
end

function WhoDrop:Construct()

	self:BuildTable()

	for a, b in pairs(WhoDropData) do
		local AN, AD, AO, CN, CD, CO, EN, ED, EO, GN, GD, GO
		if not self.theTable.args[a] then
			AN, AD, AO = self:Seperate(a)
			self.theTable.args[a] ={
				name = CC[AD]..self:FindLocal(AN).."|r",
				desc = CC[AD]..self:FindLocal(AN).."|r",
				type ="group",
				order = AO, 
				args = {}
			}
		end
		for c, d in pairs(b) do
			CN, CD, CO = self:Seperate(c)
			if  ( CD == "H" or CD == "A" ) and CD ~= UFaction and not WhoDrop.db.profile.opp then
			else
				self.theTable.args[a].args[c] = {
					name = CC[CD]..self:FindLocal(CN).."|r",
					desc = CC[CD]..self:FindLocal(CN).."|r",
					type = "group",
					order = CO, 
					args = {}
				}
				for e, f in pairs(d) do
					EN, ED, EO = self:Seperate(e)

					if  ( ED == "H" or ED == "A" ) and ED ~= UFaction and not WhoDrop.db.profile.opp then
					else
						
						if not self.theTable.args[a].args[c].args[e] then
							self.theTable.args[a].args[c].args[e] = {
								name = CC[ED]..self:FindLocal(EN).."|r",
								desc = CC[ED]..self:FindLocal(EN).."|r",
								type = "group",
								order = EO, 
								args = {}
							}
						end
						for g, h in pairs(f) do
							if not self.theTable.args[a].args[c].args[e].args[g] then
								GN, GD, GO = self:Seperate(g)
								self.theTable.args[a].args[c].args[e].args[g] = {
									name = CC[GD]..self:FindLocal(GN).."|r",
									desc = CC[GD]..self:FindLocal(GN).."|r",
									order = GO,
									type = "group",
									args = {}
								}
							end
							for i, j in pairs(h) do
								local id, Desc = self:FindDesc(j)
								if not id then id = tonumber(j) end
								if Desc then
									Desc = "\n"..Desc
								else
									Desc = ""
								end
								local n, link, rarity, _,_,_,_,_,_, texture = GetItemInfo(id)
								if not link  then
									self.theTable.args[a].args[c].args[e].args[g].args[id] = {
										name = "|cFFFF2222["..id.."]",
										desc = L["Item not found, click to query server.\n|cFFFF2222WARNING: This WILL disconnect you if the server has not seen the item.|r"].."\n|CFFFFFFFFItemID:"..id.."|r"..Desc,
										order = tonumber(i),
										type = 'execute',
										func = function()
											local id = self:FindDesc(WhoDropData[a][c][e][g][i])
											if tonumber(id) then
												WhoDropTooltip:SetOwner(this, "ANCHOR_PRESERVE")
												WhoDropTooltip:SetHyperlink("item:" .. id)
												WhoDropTooltip:Hide()
												WhoDrop:Construct()
												collectgarbage()
												waterfall:Refresh("WhoDrop")
											end
										 end,
									}
								else
									self.theTable.args[a].args[c].args[e].args[g].args[id] = {
										name = qualitycolors[rarity].."["..n.."]",
										desc = "|CFFFFFFFFItemID:"..id.."|r"..Desc,
										order = 6 - tonumber(rarity),
										type = 'execute',
										link = link,
										func = function(id) 	
											if IsControlKeyDown() then
												DressUpItem(id)
											elseif IsShiftKeyDown() then
												if not ChatFrameEditBox:IsVisible() then
													ChatFrameEditBox:Show()
												end
												ChatFrameEditBox:Insert(link)
											else
												ShowUIPanel(ItemRefTooltip)
												if not ItemRefTooltip:IsVisible() then
													ItemRefTooltip:SetOwner(UIParent, "ANCHOR_PRESERVE")
												end
												ItemRefTooltip:SetHyperlink(link)
											end
										end,
									}
								end
							end
						end
					end
				end
			end
		end
	end
	collectgarbage()
	waterfall:Refresh("WhoDrop")
end

function WhoDrop:cat()
	waterfall:Close("WhoDrop")
	self.db.profile.cat = not self.db.profile.cat
	self.theTable = {type = "group", args = {}}
	self:Construct()
	waterfall:Register("WhoDrop", "title", "WhoDrop", 'treeType', self.db.profile.cat and "TREE" or self.db.profile.tt, "aceOptions", self.theTable, "colorR", 0.4, "colorG", 0.6, "colorB", 0.8)
end

function WhoDrop:tree(v)
	waterfall:Close("WhoDrop")
	self.db.profile.tt = v
	waterfall:Register("WhoDrop", "title", "WhoDrop", 'treeType', self.db.profile.cat and "TREE" or self.db.profile.tt, "aceOptions", self.theTable, "colorR", 0.4, "colorG", 0.6, "colorB", 0.8)
end

function WhoDrop:opp(v)
	waterfall:Close("WhoDrop")
	self.db.profile.opp = v
	self:Construct()
	waterfall:Register("WhoDrop", "title", "WhoDrop", 'treeType', self.db.profile.cat and "TREE" or self.db.profile.tt, "aceOptions", self.theTable, "colorR", 0.4, "colorG", 0.6, "colorB", 0.8)
end
function WhoDrop:OnClick()
	if waterfall:IsOpen("WhoDrop") then
		waterfall:Close("WhoDrop")
	else
		waterfall:Register("WhoDrop", "title", "WhoDrop", 'treeType', self.db.profile.cat and "TREE" or self.db.profile.tt, "aceOptions", self.theTable, "colorR", 0.4, "colorG", 0.6, "colorB", 0.8)
		waterfall:Open("WhoDrop")
	end
end

function WhoDrop:OnTooltipUpdate()
	AceLibrary("Tablet-2.0"):SetHint(L["Click To Open GUI"])
end 


local tooltips = {
    -- Blizzard tooltips
	GameTooltip,
	ItemRefTooltip,
	-- AtlasLoot tooltip
	AtlasLootTooltip,
}

local getLinkFunctions = {
	SetLootItem			= GetLootSlotLink,
	SetLootRollItem		= function(id) return GetLootRollItemLink(id) end,
	SetHyperlink		= function(link) return link end,
	SetAuctionItem		= GetAuctionItemLink,
	SetBagItem			= GetContainerItemLink,
	SetCraftItem		= function(skill, id) return id and GetCraftReagentItemLink(skill, id) or GetCraftItemLink(skill) end,
	SetInventoryItem	= function(type, slot) if not this then return end return type and GetInventoryItemLink(type, slot) or GetContainerItemLink(BANK_CONTAINER,this:GetID()) end,
	SetQuestItem		= GetQuestItemLink,
	SetQuestLogItem		= GetQuestLogItemLink,
	SetTradePlayerItem	= GetTradePlayerItemLink,
	SetTradeSkillItem	= function(skill, id) return (id) and GetTradeSkillReagentItemLink(skill, id) or GetTradeSkillItemLink(skill) end,
	SetTradeTargetItem	= GetTradeTargetItemLink,
    SetInboxItem	    = GetInboxItemLink,
}

-- Hooking routine, loops all tooltips and functions and securely hooks
function WhoDrop:HookTooltips()
    for _, tooltip in pairs(tooltips) do
        if tooltip then
            for o, l in pairs(getLinkFunctions) do
                local originalFunction, linkFunction = o, l  -- Get these into a local context, to avoid errors.  This drove me nuts.
                
                local func = function(frame, arg1, arg2, arg3)
                    local link = linkFunction(arg1, arg2, arg3)
                    self:AddInfoToTooltip(frame, link)
                end
                
                self:SecureHook(tooltip, originalFunction, func)
            end
        end
    end
end

--[[--------------------------------------------------------------------------------
    Event Handlers
-----------------------------------------------------------------------------------]]

-- respond to links opened by Links
function WhoDrop:Links_LinkOpened(link, frame)
    self:AddInfoToTooltip(frame, link, 1, "Links")
end

--[[--------------------------------------------------------------------------------
    Utility functions
-----------------------------------------------------------------------------------]]
function WhoDrop:LinkToID(link)
	if link then
		local _, _, id = string.find(link, "(%d+):")
		return id
	end
end

function WhoDrop:AddTooltip(tooltip)
	if tooltip and type(tooltip) == "table" then
		table.insert(tooltips, tooltip)
		if self:IsActive() then
			self:AddInfoToTooltip(tooltip)
		end
	end
end

function WhoDrop:AddInfoToTooltip(tooltip, link)
	if WhoDropData then
		local itemid = self:LinkToID(link) 

		for a, b in pairs(WhoDropData) do
			local AN, AD, CN, CD, EN, ED, GN, GD, GE
			AN, AD = self:Seperate(a)
			for c, d in pairs(b) do
				CN, CD = self:Seperate(c)
				for e, f in pairs(d) do
					EN, ED = self:Seperate(e)
					for g, h in pairs(f) do
						GN, GD = self:Seperate(g)
						for i, j in pairs(h) do
							local id, Desc = self:FindDesc(j)
							if tonumber(itemid) == tonumber(id) then
								if string.find(c, "Instance") then
									tooltip:AddLine("WD:"..CC[GD]..self:FindLocal(GN).."|r<"..CC[ED]..self:FindLocal(EN).."|r>"..(Desc and "\n"..Desc), 1.0, 1.0, 0, 0)
									tooltip:Show()
								elseif string.find(a, "Reputaion") then
									tooltip:AddLine("WD:"..CC[ED]..self:FindLocal(EN).."|r - "..CC[GD]..self:FindLocal(GN).."|r"..(Desc and " ( "..Desc.." )"), 1.0, 1.0, 0, 0)
									tooltip:Show()
								elseif string.find(a, "PvP") then
									tooltip:AddLine("WD:"..CC[CD]..self:FindLocal(CN).."|r( "..CC[ED]..self:FindLocal(EN).."|r"..(Desc and " - "..Desc)..")", 1.0, 1.0, 0, 0)
									tooltip:Show()
								elseif string.find(a, "Exchange") then
									tooltip:AddLine("WD:"..CC[ED]..self:FindLocal(EN).."|r( "..CC[CD]..self:FindLocal(CN).."|r"..(Desc and " - "..Desc)..")", 1.0, 1.0, 0, 0)
									tooltip:Show()
								elseif string.find(c, "Dungeon") then

								else
									if (ED == "H" or ED == "A") and ED ~= UFaction and not self.db.profile.opp  then
										break;
									end
									if (CD == "H" or CD == "A") and CD ~= UFaction and not self.db.profile.opp  then
										break;
									end
									tooltip:AddLine("WD:"..CC[ED]..self:FindLocal(EN).."|r : "..self:FindLocal(GN).."<"..self:FindLocal(CN)..">"..(Desc and "\n"..Desc), 1.0, 1.0, 0, 0)
									tooltip:Show()
								end
							end
						end
					end
				end
			end
		end
	end
end

function WhoDrop:Searching(value)

	if WhoDropData then
		local SearchingTable = {type = "group", args = {}}
		local num = 0
		for a, b in pairs(WhoDropData) do
			local AN, AD, CN, CD, EN, ED, GN, GD, GE
			AN, AD = self:Seperate(a)
			for c, d in pairs(b) do
				CN, CD = self:Seperate(c)
				for e, f in pairs(d) do
					EN, ED = self:Seperate(e)
					for g, h in pairs(f) do
						GN, GD = self:Seperate(g)
						for i, j in pairs(h) do
							local id, Desc = self:FindDesc(j)
							local n, link, rarity, _,_,_,_,_,_, texture = GetItemInfo(id)
							if value and (tonumber(value) == tonumber(id) or ( link  and ( string.find(n, value) ) or string.find(self:FindLocal(EN), value) or string.find(self:FindLocal(GN), value)) ) then

								if not ( ( ( ( ED == "H" or ED == "A" ) and ED ~= UFaction ) or ( ( CD == "H" or CD == "A" ) and CD ~= UFaction ) ) and not WhoDrop.db.profile.opp ) then

									if string.find(c, "Instance") then
										Desc = "\n"..CC[GD]..self:FindLocal(GN).."|r<"..CC[ED]..self:FindLocal(EN).."|r>"..(Desc and "\n"..Desc)
									elseif string.find(a, "Reputaion") then
										Desc = "\n"..CC[ED]..self:FindLocal(EN).."|r - "..CC[GD]..self:FindLocal(GN).."|r"..(Desc and " ( "..Desc.." )")
									elseif string.find(a, "PvP") then
										Desc = "\n"..CC[CD]..self:FindLocal(CN).."|r( "..CC[ED]..self:FindLocal(EN).."|r"..(Desc and " - "..Desc)..")"
									elseif string.find(a, "Exchange") then
										Desc = "\n"..CC[ED]..self:FindLocal(EN).."|r( "..CC[CD]..self:FindLocal(CN).."|r"..(Desc and " - "..Desc)..")"
									else
										Desc = "\n"..CC[ED]..self:FindLocal(EN).."|r<"..self:FindLocal(CN)..">"..(Desc and "\n"..Desc)
									end
									if not SearchingTable.args[value] then
										SearchingTable.args[value] = {type = "group", args = {}}
									end
									if not link  then
										if not SearchingTable.args[value].args[id] then
											SearchingTable.args[value].args[id] = {
												name = "|cFFFF2222["..id.."]",
												desc = L["Item not found, click to query server.\n|cFFFF2222WARNING: This WILL disconnect you if the server has not seen the item.|r"].."\n|CFFFFFFFFItemID:"..id.."|r"..Desc,
												order = tonumber(i),
												type = 'execute',
												func = function()
													local id = self:FindDesc(WhoDropData[a][c][e][g][i])
													if tonumber(id) then
														WhoDropTooltip:SetOwner(this, "ANCHOR_PRESERVE")
														WhoDropTooltip:SetHyperlink("item:" .. id)
														WhoDropTooltip:Hide()
														WhoDrop:Construct()
														collectgarbage()
														waterfall:Refresh("WhoDrop")
													end
												 end,
											}
											num = num + 1
										end
									else
										if not SearchingTable.args[value].args[id] then
											SearchingTable.args[value].args[id] = {
												name = qualitycolors[rarity].."["..n.."]",
												desc = "|CFFFFFFFFItemID:"..id.."|r"..Desc,
												order = 6 - tonumber(rarity),
												type = 'execute',
												link = link,
												func = function(id) 	
													if IsControlKeyDown() then
														DressUpItem(id)
													elseif IsShiftKeyDown() then
														if not ChatFrameEditBox:IsVisible() then
															ChatFrameEditBox:Show()
														end
														ChatFrameEditBox:Insert(link)
													else
														ShowUIPanel(ItemRefTooltip)
														if not ItemRefTooltip:IsVisible() then
															ItemRefTooltip:SetOwner(UIParent, "ANCHOR_PRESERVE")
														end
														ItemRefTooltip:SetHyperlink(link)
													end
												end,
											}
											num = num + 1
										end
									end
								end
							end
						end
					end
				end
			end
		end
		if SearchingTable.args[value] then
			SearchingTable.args[value].name = format(L["Searching Result %d"], num)
			waterfall:Register("WhoDrop", "title", L["WhoDrop Searching Result: "]..value, 'treeType', self.db.profile.cat and "TREE" or self.db.profile.tt, "aceOptions", SearchingTable, "colorR", 0.4, "colorG", 0.6, "colorB", 0.8)
			waterfall:Open("WhoDrop")
		else
			DEFAULT_CHAT_FRAME:AddMessage("|cff0070ddWhoDrop:|r|cff1eff00"..L["No searching result"])
		end
	end
end


function WhoDrop:SearchingInstance()
	local value
	if UnitName("target") and not UnitIsPlayer("target") then
		value = UnitName("target")
	elseif  IsInInstance() then
		value = GetRealZoneText()
	else
		DEFAULT_CHAT_FRAME:AddMessage("|cff0070ddWhoDrop:|r|cff1eff00"..L["you target mob or you is in instance"])
		return
	end

	if WhoDropData then
		local SearchingTable = {type = "group", args = {}}
		local num = 0
		for a, b in pairs(WhoDropData) do
			local AN, AD, CN, CD, EN, ED, GN, GD, GE
			AN, AD = self:Seperate(a)
			for c, d in pairs(b) do
				CN, CD = self:Seperate(c)
				for e, f in pairs(d) do
					EN, ED = self:Seperate(e)
					for g, h in pairs(f) do
						GN, GD = self:Seperate(g)
						for i, j in pairs(h) do
							local id, Desc = self:FindDesc(j)
							local n, link, rarity, _,_,_,_,_,_, texture = GetItemInfo(id)
							if (string.find(self:FindLocal(EN), value) or string.find(self:FindLocal(GN), value)) then

								if not ( ( ED == "H" or ED == "A" ) and ED ~= UFaction and WhoDrop.db.profile.opp ) then

									if string.find(c, "Instance") then
										Desc = "\n"..CC[GD]..self:FindLocal(GN).."|r<"..CC[ED]..self:FindLocal(EN).."|r>"..(Desc and "\n"..Desc)
									elseif string.find(a, "Reputaion") then
										Desc = "\n"..CC[ED]..self:FindLocal(EN).."|r - "..CC[GD]..self:FindLocal(GN).."|r"..(Desc and " ( "..Desc.." )")
									elseif string.find(a, "PvP") then
										Desc = "\n"..CC[CD]..self:FindLocal(CN).."|r( "..CC[ED]..self:FindLocal(EN).."|r"..(Desc and " - "..Desc)
									else
										Desc = "\n"..CC[ED]..self:FindLocal(EN).."|r<"..self:FindLocal(CN)..">"..(Desc and "\n"..Desc)
									end
									if not SearchingTable.args[value] then
										SearchingTable.args[value] = {type = "group", args = {}}
									end
									if not link  then
										if not SearchingTable.args[value].args[id] then
											SearchingTable.args[value].args[id] = {
												name = "|cFFFF2222["..id.."]",
												desc = L["Item not found, click to query server.\n|cFFFF2222WARNING: This WILL disconnect you if the server has not seen the item.|r"].."\n|CFFFFFFFFItemID:"..id.."|r"..Desc,
												order = tonumber(i),
												type = 'execute',
												func = function()
													local id = self:FindDesc(WhoDropData[a][c][e][g][i])
													if tonumber(id) then
														WhoDropTooltip:SetOwner(this, "ANCHOR_PRESERVE")
														WhoDropTooltip:SetHyperlink("item:" .. id)
														WhoDropTooltip:Hide()
														WhoDrop:Construct()
														collectgarbage()
														waterfall:Refresh("WhoDrop")
													end
												 end,
											}
											num = num + 1
										end
									else
										if not SearchingTable.args[value].args[id] then
											SearchingTable.args[value].args[id] = {
												name = qualitycolors[rarity].."["..n.."]",
												desc = "|CFFFFFFFFItemID:"..id.."|r"..Desc,
												order = 6 - tonumber(rarity),
												type = 'execute',
												link = link,
												func = function(id) 	
													if IsControlKeyDown() then
														DressUpItem(id)
													elseif IsShiftKeyDown() then
														if not ChatFrameEditBox:IsVisible() then
															ChatFrameEditBox:Show()
														end
														ChatFrameEditBox:Insert(link)
													else
														ShowUIPanel(ItemRefTooltip)
														if not ItemRefTooltip:IsVisible() then
															ItemRefTooltip:SetOwner(UIParent, "ANCHOR_PRESERVE")
														end
														ItemRefTooltip:SetHyperlink(link)
													end
												end,
											}
											num = num + 1
										end
									end
								end
							end
						end
					end
				end
			end
		end
		if SearchingTable.args[value] then
			SearchingTable.args[value].name = format(L["Searching Result %d"], num)
			waterfall:Register("WhoDrop", "title", L["WhoDrop Searching Result: "]..value, 'treeType', self.db.profile.cat and "TREE" or self.db.profile.tt, "aceOptions", SearchingTable, "colorR", 0.4, "colorG", 0.6, "colorB", 0.8)
			waterfall:Open("WhoDrop")
		else
			DEFAULT_CHAT_FRAME:AddMessage("|cff0070ddWhoDrop:|r|cff1eff00"..L["No searching result"])
		end
	end
end

