--[[ 데이터 추가 방법

기본적으로 테이블을 추가하는 방법은...
가장 큰 분류는 대륙명칭으로 나뉩니다.
Babble-Zone-2.2 라이브러리를 사용하기 때문에 영문으로 표기합니다..
그 하위로 인스턴스와 각 지역이 나뉩니다...

인스턴스는 인스턴스 이름 -> 몹 이름 -> 드랍 아이템의 순서로 테이블이 진행됩니다.

예제)
["인스턴스 이름(영문) 추가적으로 인던 종류(-Hero를 붙이면 영웅 인던 |R을 붙이면 공격대 인던)과 테이블 순서(|숫자로 표시)"] = {
	["몹 이름(영문) 추가적으로 몬스터 종류(|B를 붙이면 보스몬스터, |N를 붙일 경우는 네임드)와 테이블 순서(|숫자로 표시)"] = {
		["필드번호"] = "아이템ID",
		.....
	},
},

이런식으로 추가할 수 있습니다.

단 순서를 지정하는 |숫자는 항상 맨 끝부분에 와야 합니다..

이름(영던인지여부)(|추가정보)(|테이블순서)의 순서입니다..

만약 특정한 설명이 필요한 아이템이라면..

WhoDropNote 테이블에 아이템 ID 별로 추가를 하면 됩니다.

예제)
WhoDropNote = {
	["아이템ID"] = "설명할 내용...",
	....
}

각 지역별로 나뉘는 분류에 대해서는..

예제)
["지역명(영문)"] = {
	["NPC이름(영문) 추가적으로 진영 표시(|H 나 |A, 중립에 대해서는 표시할 필요가 없습니다.)와 테이블 순서(|숫자로 표시)"] = {
		["퀘스트이름,또는 평판 상인의 경우에는 평판, 교환 아이템의 경우에는 교환가치(영문)"] = {
			["필드번호"] = "아이템ID",
			....
		},
	},
},

이렇게 추가할 수 있습니다.

인스턴스정보와 마찬가지로..

이름(추가정보-진영)(테이블순서)의 단계로 표시되어야 합니다.

지역별 구분이 한 단계가 더 많은 이유는.. 인스턴스는 ["Instance"]라는 다른 분류의 테이블로 구성되기 때문입니다.

로컬지원은..

우선적으로 로컬 파일 상에 해당 단어가 있는지 그 다음으로 Babble-Boss-2.2 다음으로 Babble-Zone-2.2, Babble-Quest-2.2를 

확인해서 로컬이 존재하는지 찾고.. 그 중에서 발견되지 않을 경우 본문 그대로를 사용합니다.

만약 Babble-Zone-2.2나 Babble-Boss-2.2, Babble-Quest-2.2에 등록되지 않은 문구의 경우에는 로컬에 추가하셔도 됩니다.


]]

local L = AceLibrary("AceLocale-2.2"):new("WhoDrop")
local BF = AceLibrary("Babble-Faction-2.2")
local BB = AceLibrary("Babble-Boss-2.2")
local BZ = AceLibrary("Babble-Zone-2.2")

WhoDropData = { };

WhoDropInstanceData = {
	["Eastern Kingdoms|1"] = { -- 동부 왕국|첫번재 표시
		["Instance|1"] = {  -- 인스턴스|첫번째 표시....
			["The Deadmines|1"] = {
				["Miner Johnson|1"] = {
					["1"] = "1930",
					["2"] = "5443",
				},
				["Marisa du'Paige|2"] = {
					["1"] = "4660",
					["2"] = "3019",
				},
				["Rhahk'Zor|3"] = {
					["1"] = "872",
				},
				["Sneed|4"] = {
					["1"] = "5194",
					["2"] = "5195",
				},
				["Sneed's Shredder|5"] = {
					["1"] = "1937",
				},
				["Gilnid|6"] = {
					["1"] = "5199",
					["2"] = "1156",
				},
				["Mr~ Smite|7"] = {
					["1"] = "5192",
					["2"] = "5196",
					["3"] = "7230",
				},
				["Brainwashed Noble|8"] = {
					["1"] = "5967",
				},
				["Cookie|9"] = {
					["1"] = "5198",
					["2"] = "5197",
				},
				["Captain Greenskin|10"] = {
					["1"] = "5200",
					["2"] = "5201",
				},
				["Edwin VanCleef|B|11"] = {
					["1"] = "5202",
					["2"] = "5191",
					["3"] = "5193",
					["4"] = "10399",
				},
				["Trash|T|12"] = {
					["1"] = "1933",
					["2"] = "10402",
					["3"] = "10401",
					["4"] = "10403",
					["5"] = "10400",
				},
				["Quest Reward|T|13"] = {
					["1"] = "2074",
					["2"] = "6094",
					["3"] = "2089",
					["4"] = "2036",
					["5"] = "2037",
					["6"] = "7606",
					["7"] = "7607",
					["8"] = "1893",
					["9"] = "6087",
					["10"] = "2041",
					["11"] = "2042",
				},
			},
			["Karazhan|R"] = { -- 카라잔 공격대 인던(카라진|공격대 의 의미..)
				["Attumen the Huntsman|N|1"] = { -- 사냥꾼 어튜맨|첫번째표시의 의미..
					["1"] = "28504",
					["2"] = "28502",
					["3"] = "28477",
					["4"] = "28510",
					["5"] = "28503",
					["6"] = "28589",
					["7"] = "28453",
					["8"] = "30480",
					["9"] = "28508",
					["10"] = "28509",
					["11"] = "28506",
					["12"] = "28454",
					["13"] = "28505",
					["14"] = "28507",
					["15"] = "23809",
				},
				["Hyakiss the Lurker|N|2"] = {
					["1"] = "30678",
					["2"] = "30675",
					["3"] = "30677",
					["4"] = "30676",
				},
				["Rokad the Ravager|N|3"] = {
					["1"] = "30687",
					["2"] = "30684",
					["3"] = "30686",
					["4"] = "30685",
				},
				["Shadikith the Glider|N|4"] = {
					["1"] = "30683",
					["2"] = "30682",
					["3"] = "30681",
					["4"] = "30680",
				},
				["Moroes|N|5"] = {
					["1"] = "28569",
					["2"] = "28568",
					["3"] = "28567",
					["4"] = "28566",
					["5"] = "28565",
					["6"] = "28524",
					["7"] = "28570",
					["8"] = "28529",
					["9"] = "28545",
					["10"] = "28525",
					["11"] = "28530",
					["12"] = "28528",
					["13"] = "22559",
				},
				["Maiden of Virtue|N|6"] = {
					["1"] = "28517",
					["2"] = "28522",
					["3"] = "28519",
					["4"] = "28520",
					["5"] = "28511",
					["6"] = "28523",
					["7"] = "28512",
					["8"] = "28514",
					["9"] = "28521",
					["10"] = "28516",
					["11"] = "28518",
					["12"] = "28515",
				},

				["The Crone|N|7"] = {
					["1"] = "28585",
					["2"] = "28587",
					["3"] = "28586",
					["4"] = "28588",
					["5"] = "28590",
					["6"] = "28593",
					["7"] = "28594",
					["8"] = "28589",
					["9"] = "28592",
					["10"] = "28591",
				},
				["The Big Bad Wolf|N|8"] = {
					["1"] = "28582",
					["2"] = "28581",
					["3"] = "28584",
					["4"] = "28583",
					["5"] = "28590",
					["6"] = "28593",
					["7"] = "28594",
					["8"] = "28589",
					["9"] = "28592",
					["10"] = "28591",
				},
				["Romulo & Julianne|N|9"] = {
					["1"] = "28573",
					["2"] = "28579",
					["3"] = "28578",
					["4"] = "28572",
					["5"] = "28590",
					["6"] = "28593",
					["7"] = "28594",
					["8"] = "28589",
					["9"] = "28592",
					["10"] = "28591",
				},
				["The Curator|N|10"] = {
					["1"] = "29756",
					["2"] = "29757",
					["3"] = "29758",
					["4"] = "28621",
					["5"] = "28612",
					["6"] = "28647",
					["7"] = "28649",
					["8"] = "28633",
					["9"] = "28631",
				},
				["Terestian Illhoof|N|11"] = {
					["1"] = "28652",
					["2"] = "28657",
					["3"] = "28785",
					["4"] = "28656",
					["5"] = "28659",
					["6"] = "28660",
					["7"] = "28662",
					["8"] = "28654",
					["9"] = "28655",
					["10"] = "28661",
					["11"] = "28658",
					["12"] = "28653",
					["13"] = "22561",
				},
				["Shade of Aran|N|12"] = {
					["1"] = "28669",
					["2"] = "28670",
					["3"] = "28671",
					["4"] = "28674",
					["5"] = "28672",
					["6"] = "28727",
					["7"] = "28728",
					["8"] = "28675",
					["9"] = "28673",
					["10"] = "28666",
					["11"] = "28726",
					["12"] = "28663",
					["13"] = "22560",
				},
				["Chess Event|N|13"] = {
					["1"] = "28749",
					["2"] = "28750",
					["3"] = "28746",
					["4"] = "28752",
					["5"] = "28747",
					["6"] = "28753",
					["7"] = "28748",
					["8"] = "28754",
					["9"] = "28756",
					["10"] = "28751",
					["11"] = "28745",
					["12"] = "28755",
				},
				["Netherspite|N|14"] = {
					["1"] = "28742",
					["2"] = "28732",
					["3"] = "28733",
					["4"] = "28729",
					["5"] = "28741",
					["6"] = "28735",
					["7"] = "28730",
					["8"] = "28740",
					["9"] = "28731",
					["10"] = "28744",
					["11"] = "28734",
					["12"] = "28743",
				},
				["Prince Malchezaar|N|15"] = {
					["1"] = "29759",
					["2"] = "29760",
					["3"] = "29761",
					["4"] = "28768",
					["5"] = "28767",
					["6"] = "28771",
					["7"] = "28773",
					["8"] = "28763",
					["9"] = "28766",
					["10"] = "28765",
					["11"] = "28757",
					["12"] = "28762",
					["13"] = "28764",
					["14"] = "28770",
					["15"] = "28772",
				},
				["Nightbane|B|16"] = { -- 파멸의어둠|보스몬스터|16번째 의 의미..
					["1"] = "28600",
					["2"] = "28601",
					["3"] = "28609",
					["4"] = "28597",
					["5"] = "28611",
					["6"] = "28608",
					["7"] = "28603",
					["8"] = "28599",
					["9"] = "28604",
					["10"] = "28602",
					["11"] = "28610",
					["12"] = "28606",
				},
				["Trash|T|17"] = {
					["1"] = "30642",
					["2"] = "30668",
					["3"] = "30644",
					["4"] = "30641",
					["5"] = "30673",
					["6"] = "30643",
					["7"] = "30667",
					["8"] = "30674",
					["9"] = "30666",
					["10"] = "22545",
					["11"] = "21904",
					["12"] = "21903",
				},
				["Quest Reward|T|18"] = {
					["1"] = "31113",
						-- 힐증
					["2"] = "29288",
					["3"] = "29289",
					["4"] = "29291",
					["5"] = "29290",
						-- 증뎀/극대
					["6"] = "29284",
					["7"] = "29285",
					["8"] = "29286",
					["9"] = "29287",
						-- 방숙(탱커)
					["10"] = "29276",
					["11"] = "29277",
					["12"] = "29278",
					["13"] = "29279",
						-- 적중/전투(딜러)
					["14"] = "29280",
					["15"] = "29281",
					["16"] = "29282",
					["17"] = "29283",
						-- 파멸의 어둠 관련퀘?
					["18"] = "31117",
					["19"] = "31118",
					["20"] = "31116",
				},
			},
		},
	},
	["Kalimdor|2"] ={ -- 칼림도어|두번째순서
		["Instance|1"] = { -- 인스턴스
			["Ragefire Chasm|1"] = {  -- 성난불길 협곡
				["Jergosh the Invoker|1"] = { -- 기원사 제로쉬
					["1"] = "14147",
					["2"] = "14150",
					["3"] = "14151",
				},
				["Taragaman the Hungerer|2"] = {  -- 욕망의 타라가만
					["1"] = "14145",
					["2"] = "14148",
					["3"] = "14149",
				},
				["Quest Reward|T|"] = {
					["1"] = "15452",
					["2"] = "15453",
					["3"] = "15449",
					["4"] = "15450",
					["5"] = "15451",
				}
			},
			["Wailing Caverns|2"] = {
				["Boahn|1"] = {
					["1"] = "5423",
					["2"] = "5422",
				},
				["Deviate Faerie Dragon|2"] = {
					["1"] = "5243",
					["2"] = "6632",
				},
				["Kresh|3"] = {
					["1"] = "13245",
				},
				["Lady Anacondra|4"] = {
					["1"] = "10412",
				},
				["Lord Cobrahn|5"] = {
					["1"] = "6465",
					["2"] = "6460",
					["3"] = "10410",
				},
				["Lord Pythas|6"] = {
					["1"] = "6472",
					["2"] = "6473",
				},
				["Lord Serpentis|7"] = {
					["1"] = "6459",
					["2"] = "5970",
					["3"] = "10411",
					["4"] = "6469",
				},
				["Mad Magglish|8"] = {
				},
				["Mutanus the Devourer|9"] = {
					["1"] = "6463",
					["2"] = "6627",
					["3"] = "6461",
				},
				["Skum|10"] = {
					["1"] = "6448",
					["2"] = "6449",
				},
				["Trigore the Lasher|11"] = {
					["1"] = "5425",
					["2"] = "5426",
				},
				["Verdan the Everliving|12"] = {
					["1"] = "6629",
					["2"] = "6631",
					["3"] = "6630",
				},
				["Quest Reward|T|13"] = {
					["1"] = "918",
					["2"] = "6480",
					["3"] = "10919",
					["4"] = "8071",
					["5"] = "9900",
					["6"] = "6476",
					["7"] = "6505",
					["8"] = "6504",
				},
			},
			["Old Hillsbrad Foothills"] = {
				["Lieutenant Drake|N|1"] = {
					["1"] = "27423",
					["2"] = "27436",
					["3"] = "27417",
					["4"] = "27418",
					["5"] = "27420",
				},
				["Captain Skarloc|N|2"] = {
					["1"] = "27428",
					["2"] = "27424",
					["3"] = "27430",
					["4"] = "27427",
					["5"] = "27426",
					["6"] = "22927",
				},
				["Epoch Hunter|B|3"] = {
					["1"] = "28401",
					["2"] = "27433",
					["3"] = "27431",
					["4"] = "27434",
					["5"] = "27432",
					["6"] = "27440",
					["7"] = "24173",
				},
				["Trash|T|4"] = {
					["1"] = "25725",
					["2"] = "25729",
				},
				["Quest Reward|T|5"] = {
					["1"] = "29317",
					["2"] = "29318",
					["3"] = "29316",
					["4"] = "29319",
				},
				["Vendor|T|6"] = {
					["1"] = "22539",
				},
			},
			["Old Hillsbrad Foothills-Hero"] = {
				["Lieutenant Drake|N|1"] = {
					["1"] = "28214",
					["2"] = "28213",
					["3"] = "28210",
					["4"] = "28212",
					["5"] = "28211",
					["6"] = "28215",
				},
				["Captain Skarloc|N|2"] = {
					["1"] = "28220",
					["2"] = "28218",
					["3"] = "28221",
					["4"] = "28216",
					["5"] = "28219",
					["6"] = "28217",
				},
				["Epoch Hunter|B|3"] = {
					["1"] = "28401",
					["2"] = "28226",
					["3"] = "29250",
					["4"] = "28223",
					["5"] = "28191",
					["6"] = "28224",
					["7"] = "29357",
					["8"] = "29246",
					["9"] = "30536",
					["10"] = "28233",
					["11"] = "28225",
					["12"] = "27911",
					["13"] = "30590",
					["14"] = "30589",
					["15"] = "30591",
				},
			},
			["The Black Morass"] = {
				["Chrono Lord Deja|N|1"] = {
					["1"] = "27993",
					["2"] = "27987",
					["3"] = "27995",
					["4"] = "27988",
					["5"] = "27996",
					["6"] = "27994",
					["7"] = "29675",
				},
				["Temporus|N|2"] = {
					["1"] = "28184",
					["2"] = "28187",
					["3"] = "28034",
					["4"] = "28186",
					["5"] = "28185",
					["6"] = "28033",
				},
				["Aeonus|B|3"] = {
					["1"] = "28206",
					["2"] = "28192",
					["3"] = "27509",
					["4"] = "27873",
					["5"] = "28193",
					["6"] = "28188",
					["7"] = "27839",
					["8"] = "27977",
					["9"] = "28189",
					["10"] = "28207",
					["11"] = "28190",
					["12"] = "28194",
				},
				["Trash|4"] = {
					["1"] = "25730",
				},
				["Quest Reward|5"] = {
					["1"] = "29320",
					["2"] = "29322",
					["3"] = "29321",
					["4"] = "29323",
				},
			},
			["The Black Morass-Hero"] = {
				["Aeonus|B|1"] = {
					["1"] = "29356",
					["2"] = "30531",
					["3"] = "29247",
					["4"] = "29253",
					["5"] = "30555",
					["6"] = "30558",
					["7"] = "30556",
				},
			},
		},
	},
	["Outland|3"] = { -- 아웃랜드
		["Instance|1"] = {  -- 인스턴스..
			["Hellfire Ramparts|1"] = {  -- 지옥불 성루
				["Watchkeeper Gargolmar|1"] = {  -- 감시자 가르골마르
					["1"] = "24021",
					["2"] = "24020",
					["3"] = "24023",
					["4"] = "24024",
					["5"] = "24022",
				},
				["Vazruden|2"] = {
					["1"] = "24045",
					["2"] = "24154",
					["3"] = "24044",
					["4"] = "24083",
					["5"] = "24155",
					["6"] = "24064",
					["7"] = "24150",
					["8"] = "24151",
					["9"] = "24046",
					["10"] = "24063",
				},
				["Omor the Unscarred|B|3"] = {
					["1"] = "24096",
					["2"] = "24073",
					["3"] = "24094",
					["4"] = "24069",
					["5"] = "24091",
					["6"] = "24090",
				},
				["Trash|4"] = {
					["1"] = "23810",
				},
				["Quest Reward|5"] = {
					["1"] = "25716",
					["2"] = "25715",
					["3"] = "25717",
					["4"] = "25718",
				},
					
			},
			["Hellfire Ramparts-Hero|2"] = {  -- 영웅던전에 대해서는 영문명 에 -Hero를 붙여줍니다..
				["Watchkeeper Gargolmar|1"] = {
					["1"] = "27448",
					["2"] = "27449",
					["3"] = "27450",
					["4"] = "27451",
					["5"] = "27447",
				},
				["Vazruden|2"] = {
					["1"] = "27459",
					["2"] = "27460",
					["3"] = "27461",
					["4"] = "27455",
					["5"] = "29238",
					["6"] = "27456",
					["7"] = "27454",
					["8"] = "27452",
					["9"] = "29264",
					["10"] = "27457",
					["11"] = "29346",
					["12"] = "27453",
					["13"] = "30592",
					["14"] = "30594",
					["15"] = "30593",
				},
				["Omor the Unscarred|B|3"] = {
					["1"] = "27895",
					["2"] = "27906",
					["3"] = "27465",
					["4"] = "27466",
					["5"] = "27463",
					["6"] = "27462",
					["7"] = "27464",
					["8"] = "27467",
					["9"] = "27478",
					["10"] = "27476",
					["11"] = "27539",
					["12"] = "27477",
				},
			},
			["The Blood Furnace|3"] = {
				["The Maker|1"] = {
					["1"] = "24387",
					["2"] = "24384",
					["3"] = "24388",
					["4"] = "24385",
					["5"] = "24386",
				},
				["Broggok|2"] = {
					["1"] = "24389",
					["2"] = "24392",
					["3"] = "24391",
					["4"] = "24393",
					["5"] = "24390",
				},
				["Keli'dan the Breaker|B|3"] = {
					["1"] = "24396",
					["2"] = "24395",
					["3"] = "24394",
					["4"] = "24397",
					["5"] = "24398",
				},
				["Quest Reward|4"] = {
					["1"] = "25714",
					["2"] = "25713",
					["3"] = "25712",
					["4"] = "25701",
					["5"] = "25710",
					["6"] = "25702",
					["7"] = "25711",
				},
			},
			["The Blood Furnace-Hero|4"] = {
				["The Maker|1"] = {
					["1"] = "27484",
					["2"] = "27487",
					["3"] = "27483",
					["4"] = "27485",
					["5"] = "27488",
				},
				["Broggok|2"] = {
					["1"] = "27491",
					["2"] = "27490",
					["3"] = "27489",
					["4"] = "27492",
					["5"] = "27848",
				},
				["Keli'dan the Breaker|B|3"] = {
					["1"] = "29347",
					["2"] = "27512",
					["3"] = "27495",
					["4"] = "29245",
					["5"] = "27788",
					["6"] = "27507",
					["7"] = "28264",
					["8"] = "27505",
					["9"] = "29239",
					["10"] = "27514",
					["11"] = "27506",
					["12"] = "27497",
					["13"] = "27497",
					["14"] = "27494",
					["15"] = "28121",
					["16"] = "30602",
					["17"] = "30601",
					["18"] = "30600",
				},
			},
			["The Shattered Halls|5"] = {
				["Grand Warlock Nethekurse|1"] = {
					["1"] = "27519",
					["2"] = "27520",
					["3"] = "27517",
					["4"] = "27521",
					["5"] = "27518",
					["6"] = "24312",
				},
				["Warbringer O'mrogg|2"] = {
					["1"] = "27868",
					["2"] = "27526",
					["3"] = "27524",
					["4"] = "27525",
					["5"] = "27802",
				},
				["Warchief Kargath Bladefist|B|3"] = {
					["1"] = "27540",
					["2"] = "27527",
					["3"] = "27538",
					["4"] = "27529",
					["5"] = "27531",
					["6"] = "27533",
					["7"] = "27534",
					["8"] = "27528",
					["9"] = "27537",
					["10"] = "27536",
					["11"] = "27535",
					["12"] = "27474",
				},
				["Quest Reward|4"] = {
					["1"] = "25810",
					["2"] = "25811",
					["3"] = "25809",
					["4"] = "25808",
					["5"] = "25791",
					["6"] = "25792",
					["7"] = "25788",
					["8"] = "25789",
					["9"] = "25790",
				},
				["Trash|5"] = {
					["1"] = "22554",
				},
			},
			["The Shattered Halls-Hero|6"] = {
				["Warchief Kargath Bladefist|B|1"] = {
					["1"] = "29263",
					["2"] = "29348",
					["3"] = "29255",
					["4"] = "30547",
					["5"] = "30546",
					["6"] = "30548",
				},
				["Blood Guard Porung|2"] = {
					["1"] = "30709",
					["2"] = "30708",
					["3"] = "30710",
					["4"] = "30705",
					["5"] = "30707",
				},
			},
			["Magtheridon's Lair|R|7"] = {
				["Magtheridon|B"] = {
					["1"] = "28781",
					["2"] = "28774",
					["3"] = "28789",
					["4"] = "28775",
					["5"] = "28778",
					["6"] = "29458",
					["7"] = "28780",
					["8"] = "28777",
					["9"] = "28783",
					["10"] = "28776",
					["11"] = "29755",
					["12"] = "29754",
					["13"] = "29753",
				},
			},
			["The Slave Pens|8"] = {
				["Mennu the Betrayer|1"] = {
					["1"] = "24361",
					["2"] = "24360",
					["3"] = "24356",
					["4"] = "24357",
					["5"] = "24359",
					["6"] = "29674",
				},
				["Quagmirran|2"] = {
					["1"] = "24363",
					["2"] = "24364",
					["3"] = "24362",
					["4"] = "24365",
					["5"] = "24366",
				},
				["Rokmar the Crackler|B|3"] = {
					["1"] = "24380",
					["2"] = "24381",
					["3"] = "24376",
					["4"] = "24378",
					["5"] = "24379",
				},
			},
			["The Slave Pens-Hero|9"] = {
				["Mennu the Betrayer|1"] = {
					["1"] = "27543",
					["2"] = "27542",
					["3"] = "27546",
					["4"] = "27541",
					["5"] = "27545",
					["6"] = "27544",
				},
				["Quagmirran|2"] = {
					["1"] = "27714",
					["2"] = "27672",
					["3"] = "29242",
					["4"] = "27740",
					["5"] = "27800",
					["6"] = "27673",
					["7"] = "27713",
					["8"] = "27683",
					["9"] = "27712",
					["10"] = "30538",
					["11"] = "27742",
					["12"] = "27741",
					["13"] = "28337",
					["14"] = "29349",
					["15"] = "27796",
					["16"] = "30605",
					["17"] = "30603",
					["18"] = "30604",
				},
				["Rokmar the Crackler|B|3"] = {
					["1"] = "27549",
					["2"] = "27548",
					["3"] = "27550",
					["4"] = "27547",
					["5"] = "27551",
					["6"] = "28124",
				},
			},
			["The Underbog|10"] = {
				["Hungarfen|1"] = {
					["1"] = "27631",
					["2"] = "24452",
					["3"] = "24413",
					["4"] = "24450",
					["5"] = "24451",
				},
				["Ghaz'an|2"] = {
					["1"] = "24460",
					["2"] = "24461",
					["3"] = "24459",
					["4"] = "24458",
					["5"] = "24462",
				},
				["Swamplord Musel'ek|3"] = {
					["1"] = "24453",
					["2"] = "24455",
					["3"] = "24454",
					["4"] = "24456",
					["5"] = "24457",
				},
				["The Black Stalker|B|4"] = {
					["1"] = "24481",
					["2"] = "24465",
					["3"] = "24464",
					["4"] = "24463",
					["5"] = "24466",
				},
				["Quest Reward|5"] = {
					["1"] = "28029",
					["2"] = "25540",
					["3"] = "25541",
					["4"] = "28109",
					["5"] = "28108",
					["6"] = "28111",
				},
			},
			["The Underbog-Hero|11"] = {
				["Hungarfen|1"] = {
					["1"] = "27748",
					["2"] = "27744",
					["3"] = "27747",
					["4"] = "27746",
					["5"] = "27745",
					["6"] = "27743",
				},
				["Ghaz'an|2"] = {
					["1"] = "27755",
					["2"] = "27760",
					["3"] = "27759",
					["4"] = "27757",
					["5"] = "27761",
					["6"] = "27758",
				},
				["Swamplord Musel'ek|3"] = {
					["1"] = "27767",
					["2"] = "27766",
					["3"] = "27763",
					["4"] = "27764",
					["5"] = "27765",
					["6"] = "27762",
				},
				["The Black Stalker|B|4"] = {
					["1"] = "29350",
					["2"] = "29265",
					["3"] = "30541",
					["4"] = "27769",
					["5"] = "27907",
					["6"] = "27779",
					["7"] = "27772",
					["8"] = "27770",
					["9"] = "27896",
					["10"] = "27773",
					["11"] = "27781",
					["12"] = "27771",
					["13"] = "27780",
					["14"] = "27938",
					["15"] = "27768",
					["16"] = "30608",
					["17"] = "30606",
					["18"] = "30607",
				},
			},
			["The Steamvault|12"] = {
				["Hydromancer Thespia|1"] = {
					["1"] = "27508",
					["2"] = "27783",
					["3"] = "27784",
					["4"] = "27787",
					["5"] = "27789",
					["6"] = "29673",
				},
				["Mekgineer Steamrigger|2"] = {
					["1"] = "27790",
					["2"] = "27793",
					["3"] = "27794",
					["4"] = "27792",
					["5"] = "27791",
					["6"] = "23887",
				},
				["Warlord Kalithresh|B|3"] = {
					["1"] = "28203",
					["2"] = "27475",
					["3"] = "27804",
					["4"] = "27805",
					["5"] = "27795",
					["6"] = "27738",
					["7"] = "27799",
					["8"] = "27806",
					["9"] = "27737",
					["10"] = "27510",
					["11"] = "27801",
					["12"] = "27874",
					["13"] = "24313",
				},
				["Quest Reward|4"] = {
					["1"] = "28182",
					["2"] = "28180",
					["3"] = "28181",
					["4"] = "28183",
				},
				["Trash|5"] = {
					["1"] = "24159",
				},
			},
			["The Steamvault-Hero|13"] = {
				["Warlord Kalithresh|B|1"] = {
					["1"] = "30543",
					["2"] = "29351",
					["3"] = "29243",
					["4"] = "29463",
					["5"] = "30550",
					["6"] = "30551",
					["7"] = "30549",
				},
			},
			["Serpentshrine Cavern|R|14"] = {
				["Hydross the Unstable|1"] = {
					["1"] = "30048",
					["2"] = "30054",
					["3"] = "30047",
				},
				["The Lurker Below|2"] = {
					["1"] = "30057",
					["2"] = "30059",
					["3"] = "30059",
				},
				["Leotheras the Blind|3"] = {
--						["1"] = "정조준의 추적자 손목띠",
				},
				["Fathom-Lord Karathress|4"] = {
					["1"] = "30025",
					["2"] = "30090",
				},
				["Morogrim Tidewalker|5"] = {
					["1"] = "30082",
				},
				["Lady Vashj|B|6"] = {
					["1"] = "30242",
					["2"] = "30244",
					["3"] = "30243",
					["4"] = "30112",
--					["5"] = "Fang of Varshi",
				},
				["Trash|7"] = {
					["1"] = "30021",
					["2"] = "30022",
				},
			},
			["Mana-Tombs|15"] = {
				["Pandemonius|1"] = {
					["1"] = "25940",
					["2"] = "28166",
					["3"] = "25943",
					["4"] = "25941",
					["5"] = "25939",
					["6"] = "25942",
				},
				["Tavarok|2"] = {
					["1"] = "25945",
					["2"] = "25944",
					["3"] = "25950",
					["4"] = "25946",
					["5"] = "25947",
					["6"] = "25952",
				},
				["Nexus-Prince Shaffar|B|3"] = {
					["1"] = "25953",
					["2"] = "25954",
					["3"] = "25962",
					["4"] = "25955",
					["5"] = "25956",
					["6"] = "25957",
					["7"] = "22921",
				},
				["Trash|4"] = {
					["1"] = "23615",
					["2"] = "22543",
				},
				["Quest Reward|5"] = {
					["1"] = "29345",
					["2"] = "29342",
					["3"] = "29344",
					["4"] = "29343",
					["5"] = "29327",
					["6"] = "29328",
					["7"] = "29325",
					["8"] = "29326",
				},
			},
			["Mana-Tombs-Hero|16"] = {
				["Pandemonius|1"] = {
					["1"] = "27817",
					["2"] = "27813",
					["3"] = "27814",
					["4"] = "27815",
					["5"] = "27818",
					["6"] = "27816",
				},
				["Tavarok|2"] = {
					["1"] = "27825",
					["2"] = "27822",
					["3"] = "27823",
					["4"] = "27821",
					["5"] = "27826",
					["6"] = "27824",
				},
				["Nexus-Prince Shaffar|B|3"] = {
					["1"] = "27840",
					["2"] = "30535",
					["3"] = "27798",
					["4"] = "27829",
					["5"] = "29252",
					["6"] = "27835",
					["7"] = "28400",
					["8"] = "27842",
					["9"] = "27843",
					["10"] = "27827",
					["11"] = "27837",
					["12"] = "27844",
					["13"] = "27828",
					["14"] = "29352",
					["15"] = "30583",
					["16"] = "30584",
		--				["17"] = "윤기 나는 불꽃 오팔",
				},
			},
			["Auchenai Crypts|17"] = {
				["Shirrak the Dead Watcher|1"] = {
					["1"] = "25964",
					["2"] = "27410",
					["3"] = "27408",
					["4"] = "27409",
					["5"] = "26055",
				},
				["Exarch Maladaar|B|2"] = {
					["1"] = "27413",
					["2"] = "27411",
					["3"] = "27416",
					["4"] = "27415",
					["5"] = "27414",
					["6"] = "27412",
				},
				["Trash|3"] = {
					["1"] = "23605",
					["2"] = "22544",
				},
				["Quest Reward|4"] = {
					["1"] = "29337",
					["2"] = "29341",
					["3"] = "29340",
					["4"] = "29339",
				},
			},
			["Auchenai Crypts-Hero|18"] = {
				["Shirrak the Dead Watcher|1"] = {
					["1"] = "27845",
					["2"] = "27847",
					["3"] = "27846",
					["4"] = "27865",
					["5"] = "27493",
					["6"] = "27866",
				},
				["Exarch Maladaar|B|2"] = {
					["1"] = "27867",
					["2"] = "29244",
					["3"] = "27872",
					["4"] = "29257",
					["5"] = "27869",
					["6"] = "29354",
					["7"] = "27870",
					["8"] = "27523",
					["9"] = "27871",
					["10"] = "30586",
					["11"] = "30587",
					["12"] = "30588",
				},
				["Avatar of the Martyred|3"] = {
					["1"] = "27937",
					["2"] = "27876",
					["3"] = "28268",
					["4"] = "27877",
					["5"] = "27878",
					["6"] = "27797",
				},
			},
			["Sethekk Halls|19"] = {
				["Darkweaver Syth|1"] = {
					["1"] = "27919",
					["2"] = "27914",
					["3"] = "27918",
					["4"] = "27916",
					["5"] = "27915",
					["6"] = "27917",
					["7"] = "24160",
				},
				["Talon King Ikiss|B|2"] = {
					["1"] = "27948",
					["2"] = "27875",
					["3"] = "27838",
					["4"] = "27946",
					["5"] = "27925",
					["6"] = "27986",
					["7"] = "27936",
					["8"] = "27776",
					["9"] = "27981",
					["10"] = "27985",
					["11"] = "27980",
					["12"] = "27991",
				},
				["Trash|3"] = {
					["1"] = "25731",
					["2"] = "29669",
				},
				["Quest Reward|4"] = {
					["1"] = "29330",
					["2"] = "29332",
					["3"] = "29329",
					["4"] = "29336",
					["5"] = "29335",
					["6"] = "29333",
					["7"] = "29334",
				},
			},
			["Sethekk Halls-Hero|20"] = {
				["Talon King Ikiss|B|1"] = {
					["1"] = "29249",
					["2"] = "29259",
					["3"] = "29355",
					["4"] = "30552",
					["5"] = "30554",
					["6"] = "30553",
				},
			},
			["Shadow Labyrinth|21"] = {
				["Ambassador Hellmaw|1"] = {
					["1"] = "27888",
					["2"] = "27887",
					["3"] = "27885",
					["4"] = "27884",
					["5"] = "27886",
					["6"] = "27889",
				},
				["Blackheart the Inciter|2"] = {
					["1"] = "27468",
					["2"] = "27892",
					["3"] = "27891",
					["4"] = "27890",
					["5"] = "28134",
					["6"] = "27893",
					["7"] = "25728",
				},
				["Grandmaster Vorpil|3"] = {
					["1"] = "27897",
					["2"] = "27898",
					["3"] = "27901",
					["4"] = "27775",
					["5"] = "27900",
				},
				["Murmur|B|4"] = {
					["1"] = "27903",
					["2"] = "28230",
					["3"] = "28232",
					["4"] = "27778",
					["5"] = "27910",
					["6"] = "27912",
					["7"] = "27909",
					["8"] = "27908",
					["9"] = "27803",
					["10"] = "27902",
					["11"] = "27913",
					["12"] = "27905",
					["13"] = "24309",
				},
				["Trash|5"] = {
					["1"] = "23607",
				},
				["Quest Reward|6"] = {
					["1"] = "28174",
					["2"] = "28170",
					["3"] = "28171",
					["4"] = "28167",
					["5"] = "28179",
					["6"] = "28177",
					["7"] = "28178",
					["8"] = "28176",
				},
			},
			["Shadow Labyrinth-Hero|22"] = {
				["Murmur|B"] = {
					["1"] = "29261",
					["1"] = "29353",
					["2"] = "29241",
					["3"] = "30532",
					["4"] = "30559",
					["5"] = "30563",
					["6"] = "30560",
		--				["7"] = "주문 파괴자의 부적",
				},
			},
			["Gruul's Lair|R|23"] = {
				["Gruul the Dragonkiller|B|1"] = {
					["1"] = "28823",
					["2"] = "28826",
					["3"] = "28822",
					["4"] = "28810",
					["5"] = "28804",
					["6"] = "28830",
					["7"] = "28802",
					["8"] = "28828",
					["9"] = "28794",
					["10"] = "28803",
					["11"] = "28827",
					["12"] = "28824",
					["13"] = "28825",
				},
				["High King Maulgar|B|2"] = {
					["1"] = "28800",
					["2"] = "28796",
					["3"] = "28801",
					["4"] = "28795",
					["5"] = "28799",
					["6"] = "28797",
					["7"] = "29762",
					["8"] = "29763",
					["9"] = "29764",
				},

			},
			["The Mechanar|24"] = {
				["Cache of the Legion|1"] = {
					["1"] = "28248",
					["2"] = "28251",
					["3"] = "28252",
					["4"] = "28249",
					["5"] = "28250",
				},
				["Mechano-Lord Capacitus|2"] = {
					["1"] = "28256",
					["2"] = "28257",
					["3"] = "28255",
					["4"] = "28253",
					["5"] = "28254",
				},
				["Nethermancer Sepethrea|3"] = {
					["1"] = "28263",
					["2"] = "28258",
					["3"] = "28259",
					["4"] = "28262",
					["5"] = "28260",
				},
				["Pathaleon the Calculator|B|4"] = {
					["1"] = "28267",
					["2"] = "27899",
					["3"] = "28285",
					["4"] = "28204",
					["5"] = "28202",
					["6"] = "28278",
					["7"] = "28275",
					["8"] = "28269",
					["9"] = "28286",
					["10"] = "28265",
					["11"] = "28266",
					["12"] = "28288",
					["13"] = "21907",
				},
				["Trash|5"] = {
					["1"] = "21906",
					["2"] = "22920",
				},
			},
			["The Mechanar-Hero|25"] = {
				["Pathaleon the Calculator|B|1"] = {
					["1"] = "29362",
					["2"] = "29251",
					["3"] = "30533",
					["4"] = "30564",
					["5"] = "30565",
					["6"] = "30566",
				},
			},
			["The Botanica|26"] = {
				["Commander Sarannis|1"] = {
					["1"] = "28311",
					["2"] = "28304",
					["3"] = "28296",
					["4"] = "28301",
					["5"] = "28306",
				},
				["High Botanist Freywinn|2"] = {
					["1"] = "28318",
					["2"] = "28317",
					["3"] = "28316",
					["4"] = "28315",
					["5"] = "28321",
					["6"] = "23617",
				},
				["Thorngrin the Tender|3"] = {
					["1"] = "28327",
					["2"] = "28322",
					["3"] = "28323",
					["4"] = "28324",
					["5"] = "28325",
					["6"] = "24310",
				},
				["Laj|4"] = {
					["1"] = "28328",
					["2"] = "27739",
					["3"] = "28339",
					["4"] = "28338",
					["5"] = "28340",
				},
				["Warp Splinter|B|5"] = {
					["1"] = "28348",
					["2"] = "28229",
					["3"] = "28350",
					["4"] = "28228",
					["5"] = "28349",
					["6"] = "28371",
					["7"] = "28367",
					["8"] = "28370",
					["9"] = "28345",
					["10"] = "28342",
					["11"] = "28347",
					["12"] = "28341",
					["13"] = "28343",
					["14"] = "24311",
				},
				["Trash|6"] = {
					["1"] = "24172",
				},
			},
			["The Botanica-Hero|27"] = {
				["Warp Splinter|B"] = {
					["1"] = "29262",
					["2"] = "29359",
					["3"] = "29258",
					["4"] = "30573",
					["5"] = "30574",
					["6"] = "30572",
				},
			},
			["The Arcatraz|28"] = {
				["Zereketh the Unbound|1"] = {
					["1"] = "28384",
					["2"] = "28375",
					["3"] = "28372",
					["4"] = "28373",
					["5"] = "28374",
				},
				["Wrath-Scryer Soccothrates|2"] = {
					["1"] = "28397",
					["2"] = "28396",
					["3"] = "28398",
					["4"] = "28393",
					["5"] = "28394",
				},
				["Dalliah the Doomsayer|3"] = {
					["1"] = "28392",
					["2"] = "28386",
					["3"] = "28391",
					["4"] = "28387",
					["5"] = "28390",
					["6"] = "24308",
				},
				["Harbinger Skyriss|B|4"] = {
					["1"] = "28413",
					["2"] = "28415",
					["3"] = "28414",
					["4"] = "28205",
					["5"] = "28406",
					["6"] = "28416",
					["7"] = "28412",
					["8"] = "28419",
					["9"] = "28418",
					["10"] = "28231",
					["11"] = "28403",
					["12"] = "28407",
				},
				["Trash|5"] = {
					["1"] = "29672",
					["2"] = "21905",
					["3"] = "23606",
					["4"] = "22556",
				},
			},
			["The Arcatraz-Hero|29"] = {
				["Harbinger Skyriss|B"] = {
					["1"] = "29248",
					["2"] = "30534",
					["3"] = "29360",
					["4"] = "29254",
					["5"] = "30575",
					["6"] = "30581",
					["7"] = "30582",
				},
			},
		},
	},	
}

WhoDropFieldData = {
	["Eastern Kingdoms|1"] = { -- 동부 왕국
	},
	["Kalimdor|2"] ={ -- 칼림도어
	},
	["Outland|3"] = { -- 아웃랜드
		["Hellfire Peninsula"] = {  -- 지옥불 반도
			["Sergeant Shatterskull|H|1"] = {  -- 퀘스트 NPC, 상인명칭, 이름 뒤에 |H(호드)나 |A(얼라이언스) 붙여서 진영을 표시한다.
				["Felspark Ravine"] ={   --- 퀘스트 이름..
					["1"] = "29908",
					["2"] = "29909",
					["3"] = "29910",
					["4"] = "29913",
					["5"] = "29911",
				},
			},
			["Forward Commander To'arch|H|2"] = {
				["Disrupt Their Reinforcements"] = {
					["1"] = "29946",
					["2"] = "29927",
					["3"] = "29939",
					["4"] = "29935",
					["5"] = "29932",
				},
				["Mission: Gateways Murketh and Shaadraz"] = {
					["1"] = "29944",
					["2"] = "29929",
					["3"] = "29937",
					["4"] = "29942",
				},
				["Mission: The Abyssal Shelf"] = {
					["1"] = "29926",
					["2"] = "29940",
					["3"] = "29936",
					["4"] = "29933",
				},
			},
			["Vurtok Axebreaker|H|3"] = {
				["Bonechewer Blood"] = {
					["1"] = "29915",
					["2"] = "29919",
					["3"] = "29914",
					["4"] = "29917",
					["5"] = "29916",
				},
			},
			["Apothecary Antonivich|H|4"] = {
				["The Demoniac Scryer"] = {
					["1"] = "31715",
				},
			},
			["Nazgrel|H|5"] = {
				["The Foot of the Citadel"] = {
					["1"] = "31720",
					["2"] = "31719",
					["3"] = "31717",
					["4"] = "31718",
				},
				["Cruel's Intentions"] = {
					["1"] = "28040",
					["2"] = "28041",
					["3"] = "28042",
				},
			},
			["Gorkan Bloodfist|H|6"] = {
				["Envoy to the Mag'har"] = {
					["1"] = "25510",
					["2"] = "25512",
					["3"] = "25511",
					["4"] = "25513",
				},
			},
			["Megzeg Nukklebust|H|7"] = {
				["I Work~~~ For the Horde!"] = {
					["1"] = "29945",
					["2"] = "29931",
					["3"] = "29938",
					["4"] = "29943",
				},
				["Burn It Up~~~ For the Horde!"] = {
					["1"] = "29928",
					["2"] = "29930",
					["3"] = "29934",
					["4"] = "29941",
				},
			},
			["Ranger Captain Venn'ren|H|8"] = {
				["Marking the Path"] = {
					["1"] = "25502",
					["2"] = "25502",
					["3"] = "25504",
				},
			},
			["Ryathen the Somber|H|9"] = {
				["The Cleansing Must Be Stopped"] = {
					["1"] = "25500",
					["2"] = "25501",
					["3"] = "25499",
				},
			},
			["Magistrix Carinda|H|10"] = {
				["Arelion's Mistress"] = {
					["1"] = "25505",
				},
			},
			["Apothecary Azethen|H|11"] = {
				["Source of the Corruption"] = {
					["1"] = "25914",
					["2"] = "25915",
					["3"] = "25913",
				},
			},
			["Taleris Dawngazer|H|12"] = {
				["A Pilgrim's Plight"] = {
					["1"] = "25781",
					["2"] = "25782",
					["3"] = "25783",
				},
			},
			["Wanted Poster|H|13"] = {
				["Wanted: Blacktalon the Savage"] = {
					["1"] = "27732",
					["2"] = "27731",
				},
			},
			["Zezzak|H|14"] = {
				["Grillok \"Darkeye\""] = {
					["1"] = "28057",
					["2"] = "28051",
					["3"] = "28050",
					["4"] = "28052",
					["5"] = "28055",
				},
			},
			["Ogath the Mad|H|15"] = {
				["From the Abyss"] = {
					["1"] = "29399",
					["2"] = "29398",
					["3"] = "29400",
				},
			},
			["Althen the Historian|H|16"] = {
				["Honor the Fallen"] = {
					["1"] = "29108",
					["2"] = "29109",
				},
			},
			["Earthcaller Ryga|H|17"] = {
				["Administering the Salve"] = {
					["1"] = "25492",
					["2"] = "25494",
					["3"] = "25495",
					["4"] = "25496",
					["5"] = "29212",
				},
			},
			["Sergeant Altumus|A|18"] = {
				["The Path of Anguish"] ={
					["1"] = "29908",
					["2"] = "29909",
					["3"] = "29910",
					["4"] = "29913",
					["5"] = "29911",
				},
			},
			["Forward Commander Kingston|A|19"] = {
				["Disrupt Their Reinforcements"] = {
					["1"] = "29946",
					["2"] = "29927",
					["3"] = "29939",
					["4"] = "29935",
					["5"] = "29932",
				}
			},
			["Lieutenant Amadi|A|20"] = {
				["Fel Orc Scavengers"] = {
					["1"] = "29915",
					["2"] = "29919",
					["3"] = "29914",
					["4"] = "29917",
					["5"] = "29916",
				},
			},
			["Force Commander Danath Trollbane|A|21"] = {
				["Drill the Drillmaster"] = {
					["1"] = "31720",
					["2"] = "31719",
					["3"] = "31717",
					["4"] = "31718",
				},
			},
			["Dumphry|A|22"] = {
				["Waste Not, Want Not"] = {
					["1"] = "29945",
					["2"] = "29931",
					["3"] = "29938",
					["4"] = "29943",
				},
				["Laying Waste to the Unwanted"] = {
					["1"] = "29928",
					["2"] = "29930",
					["3"] = "29934",
					["4"] = "29941",
				},
			},
			["Warp-Scryer Kryv|A|23"] = {
				["Overlord"] = {
					["1"] = "28040",
					["2"] = "28041",
					["3"] = "28042",
				},
			},
			["Wing Commander Dabir'ee|A|24"] = {
				["Zeth'Gor Must Burn!"] = {
					["1"] = "28057",
					["2"] = "28051",
					["3"] = "28050",
					["4"] = "28052",
					["5"] = "28055",
				},
			},
			["Honor Guard Wesilow|A|25"] = {
				["Looking to the Leadership"] = {
					["1"] = "25989",
					["2"] = "25992",
					["3"] = "25993",
				},
			},
			["Foreman Biggums|A|26"] = {
				["A Job for an Intelligent Man"] = {
					["1"] = "25785",
					["2"] = "25784",
				},
				["The Mastermind"] = {
					["1"] = "25984",
					["2"] = "25982",
					["3"] = "25983",
				},
			},
			["Makuru|A|27"] = {
				["Makuru's Vengeance"] = {
					["1"] = "25920",
					["2"] = "25919",
					["3"] = "25921",
				},
			},
			["Amaan the Wise|A|28"] = {
				["The Seer's Relic"] = {
					["1"] = "25508",
					["2"] = "25506",
					["3"] = "25507",
				},
				["Cleansing the Waters"] = {
					["1"] = "25484",
					["2"] = "25485",
					["3"] = "25486",
				},
			},
			["Ikan|A|29"] = {
				["The Rock Flayer Matriarch"] = {
					["1"] = "25480",
					["2"] = "25479",
					["3"] = "25478",
				},
			},
			["Mirren Longbeard|A|30"] = {
				["The Finest Down"] = {
					["1"] = "23587",
				},
			},
			["Foreman Razelcraz|31"] = {
				["Beneath Thrallmar"] = {
					["1"] = "30855",
					["2"] = "30856",
					["3"] = "30857",
				},
			},
			["Thiah Redmane|32"] = {
				["Testing the Antidote"] = {
					["1"] = "25985",
					["2"] = "25986",
					["3"] = "25987",
				},
			},
			["Tola'thion|33"] = {
				["Colossal Menace"] = {
					["1"] = "28064",
					["2"] = "28062",
					["3"] = "28065",
					["4"] = "28063",
					["5"] = "28066",
				},
			},
			["\"Screaming\" Screed Luckheed|34"] = {
				["In Case of Emergency~~~"] = {
					["1"] = "25980",
					["2"] = "25981",
					["3"] = "25979",
				},
				["Voidwalkers Gone Wild"] = {
					["1"] = "25786",
					["2"] = "25787",
				},
			},
			["Avruu's Orb|35"] = {
				["Avruu's Orb"] = {
					["1"] = "25489",
					["2"] = "25488",
					["3"] = "25487",
				},
			},
			["Earthbinder Galandria Nightbreeze|36"] = {
				["Natural Remedies"] = {
					["1"] = "28069",
					["2"] = "28070",
					["3"] = "28074",
					["4"] = "28075",
				},
			},
		},
	},
}

WhoDropEtcData = {
	["Reputaion|4"] = {
		["Original"] = {
			["Argent Dawn|1"] = {
			},
			["Zandalar Tribe|2"] = {
				["Priest"] = {
					["1"] = "19843|"..L["Primal Hakkari Stanchion"]..", "..BF["Zandalar Tribe"].." "..BF["Friendly"],
					["2"] = "19842|"..L["Primal Hakkari Sash"]..", "..BF["Zandalar Tribe"].." "..BF["Honored"],
					["3"] = "19841|"..L["Primal Hakkari Aegis"]..", "..BF["Zandalar Tribe"].." "..BF["Revered"],
					["4"] = "19594|"..BF["Zandalar Tribe"].." "..BF["Exalted"],
					["5"] = "19958",
				},
				["Paladin"] = {
					["1"] = "19827|"..L["Primal Hakkari Bindings"]..", "..BF["Zandalar Tribe"].." "..BF["Friendly"],
					["2"] = "19826|"..L["Primal Hakkari Shawl"]..", "..BF["Zandalar Tribe"].." "..BF["Honored"],
					["3"] = "19825|"..L["Primal Hakkari Tabard"]..", "..BF["Zandalar Tribe"].." "..BF["Revered"],
					["4"] = "19952|"..BF["Zandalar Tribe"].." "..BF["Exalted"],
					["5"] = "19588",
				},
				["Mage"] = {
					["1"] = "19846|"..L["Primal Hakkari Bindings"]..", "..BF["Zandalar Tribe"].." "..BF["Friendly"],
					["2"] = "19845|"..L["Primal Hakkari Shawl"]..", "..BF["Zandalar Tribe"].." "..BF["Honored"],
					["3"] = "20034|"..L["Primal Hakkari Kossack"]..", "..BF["Zandalar Tribe"].." "..BF["Revered"],
					["4"] = "19601|"..BF["Zandalar Tribe"].." "..BF["Exalted"],
					["5"] = "19959",
				},
				["Warlock"] = {
					["1"] = "19848|"..L["Primal Hakkari Stanchion"]..", "..BF["Zandalar Tribe"].." "..BF["Friendly"],
					["2"] = "19849|"..L["Primal Hakkari Sash"]..", "..BF["Zandalar Tribe"].." "..BF["Honored"],
					["3"] = "20033|"..L["Primal Hakkari Kossack"]..", "..BF["Zandalar Tribe"].." "..BF["Revered"],
					["4"] = "19605|"..BF["Zandalar Tribe"].." "..BF["Exalted"],
					["5"] = "19957",
				},
				["Druid"] = {
					["1"] = "19840|"..L["Primal Hakkari Stanchion"]..", "..BF["Zandalar Tribe"].." "..BF["Friendly"],
					["2"] = "19839|"..L["Primal Hakkari Sash"]..", "..BF["Zandalar Tribe"].." "..BF["Honored"],
					["3"] = "19838|"..L["Primal Hakkari Tabard"]..", "..BF["Zandalar Tribe"].." "..BF["Revered"],
					["4"] = "19613|"..BF["Zandalar Tribe"].." "..BF["Exalted"],
					["5"] = "19955",
				},
				["Warrior"] = {
					["1"] = "19824|"..L["Primal Hakkari Armsplint"]..", "..BF["Zandalar Tribe"].." "..BF["Friendly"],
					["2"] = "19823|"..L["Primal Hakkari Girdle"]..", "..BF["Zandalar Tribe"].." "..BF["Honored"],
					["3"] = "19822|"..L["Primal Hakkari Kossack"]..", "..BF["Zandalar Tribe"].." "..BF["Revered"],
					["4"] = "19577|"..BF["Zandalar Tribe"].." "..BF["Exalted"],
					["5"] = "19951",
				},
				["Rogue"] = {
					["1"] = "19836|"..L["Primal Hakkari Armsplint"]..", "..BF["Zandalar Tribe"].." "..BF["Friendly"],
					["2"] = "19835|"..L["Primal Hakkari Girdle"]..", "..BF["Zandalar Tribe"].." "..BF["Honored"],
					["3"] = "19834|"..L["Primal Hakkari Aegis"]..", "..BF["Zandalar Tribe"].." "..BF["Revered"],
					["4"] = "19617|"..BF["Zandalar Tribe"].." "..BF["Exalted"],
					["5"] = "19954",
				},
				["Hunter"] = {
					["1"] = "19833|"..L["Primal Hakkari Bindings"]..", "..BF["Zandalar Tribe"].." "..BF["Friendly"],
					["2"] = "19832|"..L["Primal Hakkari Shawl"]..", "..BF["Zandalar Tribe"].." "..BF["Honored"],
					["3"] = "19831|"..L["Primal Hakkari Aegis"]..", "..BF["Zandalar Tribe"].." "..BF["Revered"],
					["4"] = "19621|"..BF["Zandalar Tribe"].." "..BF["Exalted"],
					["5"] = "19953",
				},
				["Shaman"] = {
					["1"] = "19830|"..L["Primal Hakkari Armsplint"]..", "..BF["Zandalar Tribe"].." "..BF["Friendly"],
					["2"] = "19829|"..L["Primal Hakkari Girdle"]..", "..BF["Zandalar Tribe"].." "..BF["Honored"],
					["3"] = "19828|"..L["Primal Hakkari Tabard"]..", "..BF["Zandalar Tribe"].." "..BF["Revered"],
					["4"] = "19609|"..BF["Zandalar Tribe"].." "..BF["Exalted"],
					["5"] = "19956",
				},
				["Tailoring|1"] = {
					["1"] = "19766|"..BF["Zandalar Tribe"].." "..BF["Friendly"],
					["2"] = "19765|"..BF["Zandalar Tribe"].." "..BF["Honored"],
					["3"] = "19764|"..BF["Zandalar Tribe"].." "..BF["Revered"],
				},
				["Leatherworking|2"] = {  
					["1"] = "19771|"..BF["Zandalar Tribe"].." "..BF["Friendly"],
					["2"] = "19770|"..BF["Zandalar Tribe"].." "..BF["Honored"],
					["3"] = "19773|"..BF["Zandalar Tribe"].." "..BF["Honored"],
					["4"] = "19769|"..BF["Zandalar Tribe"].." "..BF["Revered"],
					["5"] = "19772|"..BF["Zandalar Tribe"].." "..BF["Revered"],
				},
				["Blacksmithing|3"] = {
					["1"] = "19778|"..BF["Zandalar Tribe"].." "..BF["Friendly"],
					["2"] = "19781|"..BF["Zandalar Tribe"].." "..BF["Friendly"],
					["3"] = "19777|"..BF["Zandalar Tribe"].." "..BF["Honored"],
					["4"] = "19780|"..BF["Zandalar Tribe"].." "..BF["Honored"],
					["5"] = "19776|"..BF["Zandalar Tribe"].." "..BF["Revered"],
					["6"] = "19779|"..BF["Zandalar Tribe"].." "..BF["Revered"],

				},
				["Engineering|4"] = {
					["1"] = "20001|"..BF["Zandalar Tribe"].." "..BF["Friendly"],
					["2"] = "20000|"..BF["Zandalar Tribe"].." "..BF["Honored"],
				},
				["Alchemy|5"] = {
					["1"] = "20012|"..BF["Zandalar Tribe"].." "..BF["Friendly"],
					["2"] = "20014|"..BF["Zandalar Tribe"].." "..BF["Honored"],
					["3"] = "20011|"..BF["Zandalar Tribe"].." "..BF["Revered"],
					["4"] = "20013|"..BF["Zandalar Tribe"].." "..BF["Exalted"],
				},
				["Enchanting|6"] = {
					["1"] = "20757|"..BF["Zandalar Tribe"].." "..BF["Friendly"],
					["2"] = "20756|"..BF["Zandalar Tribe"].." "..BF["Honored"],
				},
				["Vendor|7"] = {
				},
			},
			["Thorium Brotherhood|3"] = {
			},
			["Cenarion Circle|4"] = {
				["Priest"] = {
				},
				["Paladin"] = {
				},
				["Mage"] = {
				},
				["Warlock"] = {
				},
				["Druid"] = {
				},
				["Warrior"] = {
				},
				["Rogue"] = {
				},
				["Hunter"] = {
				},
				["Shaman"] = {
				},
				["Vendor"] = {
				},
			},
			["Timbermaw Hold|5"] = {
			},
			["Brood of Nozdormu|6"] = {
				["Priest"] = {
				},
				["Paladin"] = {
				},
				["Mage"] = {
				},
				["Warlock"] = {
				},
				["Druid"] = {
				},
				["Warrior"] = {
				},
				["Rogue"] = {
				},
				["Hunter"] = {
				},
				["Shaman"] = {
				},
				["Vendor"] = {
				},
			},
			["Darkmoon Faire|7"] = {
			},
			["Wintersaber Trainers|8"] = {
			},
		},
		["Expantion"] = {
			["The Aldor|1"] = { 
				["Inscription|1"] = {  
					["1"] = "28878",
					["2"] = "28881",
					["3"] = "28882",
					["4"] = "28885",
					["5"] = "28887",
					["6"] = "28886",
					["7"] = "28889",
					["8"] = "28888",
				},
				["Leatherworking|2"] = {
					["1"] = "29693",
					["2"] = "29691",
					["3"] = "29689",
					["4"] = "29704",
					["5"] = "29703",
					["6"] = "29702",
					["7"] = "25721",
				},
				["Blacksmithing|3"] = {
					["1"] = "23601",
					["2"] = "23603",
					["3"] = "23604",
					["4"] = "23602",
				},
				["Jewelcrafting|4"] = {
					["1"] = "23149",
					["2"] = "23145",
					["3"] = "24177",
				},
				["Tailoring|5"] = {
					["1"] = "30842",
					["2"] = "30843",
					["3"] = "30844",
					["4"] = "24293",
					["5"] = "24295",
				},
				["Vendor|6"] = {
					["1"] = "29129",
					["2"] = "29130",
					["3"] = "29127",
					["4"] = "29128",
					["5"] = "29123",
					["6"] = "29124",
					["7"] = "31779",
				},   
			},
			["The Scryers|2"] = { -- 점술가 길드
				["Inscription|1"] = {  
					["1"] = "28904|"..BF["The Scryers"].." "..BF["Honored"],
					["2"] = "28903|"..BF["The Scryers"].." "..BF["Honored"],
					["3"] = "28908|"..BF["The Scryers"].." "..BF["Honored"],
					["4"] = "28907|"..BF["The Scryers"].." "..BF["Honored"],
					["5"] = "28912|"..BF["The Scryers"].." "..BF["Exalted"],
					["6"] = "28909|"..BF["The Scryers"].." "..BF["Exalted"],
					["7"] = "28911|"..BF["The Scryers"].." "..BF["Exalted"],
					["8"] = "28910|"..BF["The Scryers"].." "..BF["Exalted"],
				},
				["Leatherworking|2"] = {
					["1"] = "29682|"..BF["The Scryers"].." "..BF["Honored"],
					["2"] = "29684|"..BF["The Scryers"].." "..BF["Revered"],
					["3"] = "29677|"..BF["The Scryers"].." "..BF["Exalted"],
					["4"] = "29701|"..BF["The Scryers"].." "..BF["Honored"],
					["5"] = "29700|"..BF["The Scryers"].." "..BF["Revered"],
					["6"] = "29698|"..BF["The Scryers"].." "..BF["Exalted"],
					["7"] = "25722|"..BF["The Scryers"].." "..BF["Revered"],
				},
				["Blacksmithing|3"] = {
					["1"] = "23597|"..BF["The Scryers"].." "..BF["Friendly"],
					["2"] = "23598|"..BF["The Scryers"].." "..BF["Honored"],
					["3"] = "23599|"..BF["The Scryers"].." "..BF["Revered"],
					["4"] = "23600|"..BF["The Scryers"].." "..BF["Exalted"],
				},
				["Alchemy|4"] = {
					["1"] = "22908|"..BF["The Scryers"].." "..BF["Revered"],
				},
				["Jewelcrafting|5"] = {
					["1"] = "23133|"..BF["The Scryers"].." "..BF["Friendly"],
					["2"] = "23143|"..BF["The Scryers"].." "..BF["Honored"],
					["3"] = "24176|"..BF["The Scryers"].." "..BF["Revered"],
				},
				["Tailoring|6"] = {
					["1"] = "24292|"..BF["The Scryers"].." "..BF["Honored"],
					["2"] = "24294|"..BF["The Scryers"].." "..BF["Exalted"],
				},
				["Vendor|7"] = {
					["1"] = "29133|"..BF["The Scryers"].." "..BF["Revered"],
					["2"] = "29134|"..BF["The Scryers"].." "..BF["Revered"],
					["3"] = "29131|"..BF["The Scryers"].." "..BF["Revered"],
					["4"] = "29132|"..BF["The Scryers"].." "..BF["Revered"],
					["5"] = "29125|"..BF["The Scryers"].." "..BF["Exalted"],
					["6"] = "29126|"..BF["The Scryers"].." "..BF["Exalted"],
					["7"] = "31780|"..BF["The Scryers"].." "..BF["Exalted"],
				},       
			},
			["Honor Hold|A|3"] = { 
				["Leatherworking|1"] = {  
					["1"] = "29213",
					["2"] = "29214",
					["3"] = "29215",
					["4"] = "29719",
					["5"] = "29722",
				},
				["Blacksmithing|2"] = {
					["1"] = "23619",
				},
				["Alchemy|3"] = {
					["1"] = "22905",
					["2"] = "25870",
				},
				["Jewelcrafting|4"] = {
					["1"] = "23142",
					["2"] = "24180",
				},
				["Enchanting|5"] = {
					["1"] = "22531",
					["2"] = "22547",
				},
				["Inscription|6"] = {
					["1"] = "29196",
					["2"] = "29189",
					["3"] = "30622",
				},
				["Vendor|7"] = {
					["1"] = "24008",
					["2"] = "24007",
					["3"] = "25825",
					["4"] = "25826",
					["5"] = "29166",
					["6"] = "29169",
					["7"] = "29151",
					["8"] = "29153",
					["9"] = "29156",
					["10"] = "23999",
				},
			},
			["Thrallmar|H|3"] = { 
				["Leatherworking|1"] = {  
					["1"] = "25738|"..BF["Thrallmar"].." "..BF["Friendly"],
					["2"] = "31361|"..BF["Thrallmar"].." "..BF["Friendly"],
					["3"] = "25739|"..BF["Thrallmar"].." "..BF["Honored"],
					["4"] = "25740|"..BF["Thrallmar"].." "..BF["Honored"],
					["5"] = "31362|"..BF["Thrallmar"].." "..BF["Exalted"],
				},
				["Blacksmithing|2"] = {
					["1"] = "240020|"..BF["Thrallmar"].." "..BF["Exalted"],
				},
				["Alchemy|3"] = {
					["1"] = "24001|"..BF["Thrallmar"].." "..BF["Honored"],
					["2"] = "29232|"..BF["Thrallmar"].." "..BF["Honored"],
				},
				["Jewelcrafting|4"] = {
					["1"] = "31359|"..BF["Thrallmar"].." "..BF["Friendly"],
					["2"] = "31358|"..BF["Thrallmar"].." "..BF["Revered"],
				},
				["Enchanting|5"] = {
					["1"] = "24000|"..BF["Thrallmar"].." "..BF["Friendly"],
					["2"] = "24003|"..BF["Thrallmar"].." "..BF["Revered"],
				},
				["Inscription|6"] = {
					["1"] = "29190|"..BF["Thrallmar"].." "..BF["Revered"],
					["2"] = "29197|"..BF["Thrallmar"].." "..BF["Revered"],
				},
				["Vendor|7"] = {
					["1"] = "24009|"..BF["Thrallmar"].." "..BF["Friendly"],
					["2"] = "24006|"..BF["Thrallmar"].." "..BF["Friendly"],
					["3"] = "25824|"..BF["Thrallmar"].." "..BF["Honored"],
					["4"] = "25823|"..BF["Thrallmar"].." "..BF["Honored"],
					["5"] = "29168|"..BF["Thrallmar"].." "..BF["Revered"],
					["6"] = "29167|"..BF["Thrallmar"].." "..BF["Revered"],
					["7"] = "30637|"..BF["Thrallmar"].." "..BF["Revered"],
					["8"] = "29155|"..BF["Thrallmar"].." "..BF["Exalted"],
					["9"] = "29152|"..BF["Thrallmar"].." "..BF["Exalted"],
					["10"] = "29165|"..BF["Thrallmar"].." "..BF["Exalted"],
					["11"] = "24004|"..BF["Thrallmar"].." "..BF["Exalted"],

				},
			},
			["Cenarion Expedition|4"] = { 
				["Leatherworking|1"] = {  
					["1"] = "25737",
					["2"] = "25736",
					["3"] = "25735",
					["4"] = "29720",
					["5"] = "29721",
				},
				["Blacksmithing|2"] = {
					["1"] = "31392",
					["2"] = "31391",
					["3"] = "31390",
					["4"] = "23618",
					["5"] = "25526",
					["6"] = "28632",
				},
				["Alchemy|3"] = {
					["1"] = "31356",
					["2"] = "22922",
					["3"] = "22918",
					["4"] = "25869",
				},
				["Jewelcrafting|4"] = {
					["1"] = "24183",
					["2"] = "31402",
				},
				["Enchanting|5"] = {
					["1"] = "28271",
				},
				["Engineering|6"] = {
					["1"] = "23814",
				},
				["Vendor|7"] = {
					["1"] = "24429",
					["2"] = "29194",
					["3"] = "29192",
					["4"] = "24417",
					["5"] = "24412",
					["6"] = "25838",
					["7"] = "25835",
					["8"] = "25836",
					["9"] = "29173",
					["10"] = "29174",
					["11"] = "29172",
					["12"] = "29170",
					["13"] = "29171",
					["14"] = "30623",
					["15"] = "31804",
				},
			},
			["The Sha'tar|5"] = { 
				["Leatherworking|1"] = {  
					["1"] = "29717|"..BF["The Sha'tar"].." "..BF["Exalted"],
				},
				["Alchemy|2"] = {
					["1"] = "13517|"..BF["The Sha'tar"].." "..BF["Revered"],
					["2"] = "31354|"..BF["The Sha'tar"].." "..BF["Exalted"],
					["3"] = "22915|"..BF["The Sha'tar"].." "..BF["Revered"],
				},
				["Jewelcrafting|3"] = {
					["1"] = "25904|"..BF["The Sha'tar"].." "..BF["Friendly"],
					["2"] = "30826|"..BF["The Sha'tar"].." "..BF["Honored"],
					["3"] = "24182|"..BF["The Sha'tar"].." "..BF["Revered"],
				},
				["Enchanting|4"] = {
					["1"] = "28273|"..BF["The Sha'tar"].." "..BF["Honored"],
					["2"] = "28281|"..BF["The Sha'tar"].." "..BF["Revered"],
					["3"] = "22537|"..BF["The Sha'tar"].." "..BF["Revered"],
				},
				["Vendor|5"] = {
					["1"] = "29195|"..BF["The Sha'tar"].." "..BF["Honored"],
					["2"] = "29191|"..BF["The Sha'tar"].." "..BF["Revered"],
					["3"] = "29179|"..BF["The Sha'tar"].." "..BF["Revered"],
					["4"] = "29180|"..BF["The Sha'tar"].." "..BF["Revered"],
					["5"] = "29175|"..BF["The Sha'tar"].." "..BF["Exalted"],
					["6"] = "29176|"..BF["The Sha'tar"].." "..BF["Exalted"],
					["7"] = "29177|"..BF["The Sha'tar"].." "..BF["Exalted"],
					["8"] = "30634|"..BF["The Sha'tar"].." "..BF["Revered"],
					["9"] = "31781|"..BF["The Sha'tar"].." "..BF["Exalted"],
				},
			},
			["Lower City|6"] = { 
				["Alchemy|1"] = {
					["1"] = "31357|"..BF["Lower City"].." "..BF["Exalted"],
					["2"] = "22910|"..BF["Lower City"].." "..BF["Revered"],
				},
				["Jewelcrafting|2"] = {
					["1"] = "23138|"..BF["Lower City"].." "..BF["Friendly"],
					["2"] = "24175|"..BF["Lower City"].." "..BF["Revered"],
					["3"] = "24179|"..BF["Lower City"].." "..BF["Revered"],
				},
				["Tailoring|3"] = {
					["1"] = "30833|"..BF["Lower City"].." "..BF["Honored"],
				},
				["Vendor|4"] = {
					["1"] = "29199|"..BF["Lower City"].." "..BF["Honored"],
					["2"] = "30846|"..BF["Lower City"].." "..BF["Revered"],
					["3"] = "30836|"..BF["Lower City"].." "..BF["Revered"],
					["4"] = "30841|"..BF["Lower City"].." "..BF["Revered"],
					["5"] = "30835|"..BF["Lower City"].." "..BF["Revered"],
					["6"] = "30832|"..BF["Lower City"].." "..BF["Exalted"],
					["7"] = "30830|"..BF["Lower City"].." "..BF["Exalted"],
					["8"] = "30834|"..BF["Lower City"].." "..BF["Exalted"],
					["9"] = "30633|"..BF["Lower City"].." "..BF["Revered"],
					["10"] = "31778|"..BF["Lower City"].." "..BF["Exalted"],
				},
			},
			["Keepers of Time|7"] = { 
				["Leatherworking|1"] = {  
					["1"] = "29713",
				},     
				["Alchemy|2"] = {
					["1"] = "31355",
				},
				["Jewelcrafting|3"] = {
					["1"] = "25910",
					["2"] = "24174",
					["3"] = "24181",
				},
				["Enchanting|4"] = {
					["1"] = "28272",
					["2"] = "22536",
				},
				["Vendor|5"] = {
					["1"] = "29198",
					["2"] = "29186",
					["3"] = "29184",
					["4"] = "29185",
					["5"] = "29181",
					["6"] = "29182",
					["7"] = "29183",
					["8"] = "30635",
				},
			},
			["The Mag'har|H|8"] = { 
				["Leatherworking|1"] = {
					["1"] = "25741|"..BF["The Mag'har"].." "..BF["Friendly"],
					["2"] = "25742|"..BF["The Mag'har"].." "..BF["Honored"],
					["3"] = "29664|"..BF["The Mag'har"].." "..BF["Honored"],
					["4"] = "25743|"..BF["The Mag'har"].." "..BF["Revered"],
				},     
				["Alchemy|2"] = {
					["1"] = "22917|"..BF["The Mag'har"].." "..BF["Revered"],
				},
				["Mount|3"] = {
					["1"] = "31829|"..BF["The Mag'har"].." "..BF["Exalted"],
					["2"] = "31831|"..BF["The Mag'har"].." "..BF["Exalted"],
					["3"] = "31833|"..BF["The Mag'har"].." "..BF["Exalted"],
					["4"] = "31835|"..BF["The Mag'har"].." "..BF["Exalted"],
					["5"] = "29102|"..BF["The Mag'har"].." "..BF["Exalted"],
					["6"] = "29104|"..BF["The Mag'har"].." "..BF["Exalted"],
					["7"] = "29105|"..BF["The Mag'har"].." "..BF["Exalted"],
					["8"] = "29103|"..BF["The Mag'har"].." "..BF["Exalted"],
				},
				["Vendor|4"] = {
					["1"] = "29143|"..BF["The Mag'har"].." "..BF["Honored"],
					["2"] = "29141|"..BF["The Mag'har"].." "..BF["Revered"],
					["3"] = "29145|"..BF["The Mag'har"].." "..BF["Revered"],
					["4"] = "29147|"..BF["The Mag'har"].." "..BF["Revered"],
					["5"] = "29139|"..BF["The Mag'har"].." "..BF["Exalted"],
					["6"] = "29137|"..BF["The Mag'har"].." "..BF["Exalted"],
					["7"] = "29135|"..BF["The Mag'har"].." "..BF["Exalted"],
					["8"] = "31773|"..BF["The Mag'har"].." "..BF["Exalted"],
				},
			},
			["Kurenai|A|8"] = { 
				["Leatherworking|1"] = {  
					["1"] = "29217",
					["2"] = "29219",
					["3"] = "29218",
					["4"] = "30444",
				},     
				["Alchemy|2"] = {
					["1"] = "30443",
				},
				["Mount|3"] = {
					["1"] = "29230",
					["2"] = "31834",
					["3"] = "29227",
					["4"] = "31830",
					["5"] = "29229",
					["6"] = "31832",
					["7"] = "29231",
					["8"] = "31836",
				},
				["Vendor|4"] = {
					["1"] = "29142",
					["2"] = "29146",
					["3"] = "29136",
					["4"] = "29138",
					["5"] = "29140",
					["6"] = "31774",
				},
			},
			["Sporeggar|9"] = {
				["Alchemy|1"] = {
					["1"] = "22916|"..BF["Sporeggar"].." "..BF["Revered"],
					["2"] = "22906|"..BF["Sporeggar"].." "..BF["Exalted"],
				},
				["Vendor|2"] = {
					["1"] = "25548|"..BF["Sporeggar"].." "..BF["Friendly"],
					["2"] = "25550|"..BF["Sporeggar"].." "..BF["Honored"],
					["3"] = "25827|"..BF["Sporeggar"].." "..BF["Honored"],
					["4"] = "25828|"..BF["Sporeggar"].." "..BF["Honored"],
					["5"] = "29149|"..BF["Sporeggar"].." "..BF["Revered"],
					["6"] = "29150|"..BF["Sporeggar"].." "..BF["Revered"],
				},
			},

		},
	},
	["Gear Set|6"] = {
		["Dungeon"] = {
                        ["T3|7"] = {
				["Priest"] = {
					["1"] = "28413",
					["2"] = "27775",
					["3"] = "28230",
					["4"] = "27536",
					["5"] = "27875",
				},
				["Paladin"] = {
					["1"] = "28285",
					["2"] = "27739",
					["3"] = "28203",
					["4"] = "27535",
					["5"] = "27839",
				},
				["Mage"] = {
					["1"] = "28278",
					["2"] = "27738",
					["3"] = "28229",
					["4"] = "27508",
					["5"] = "27838",				
				},
				["Warlock"] = {
					["1"] = "28415",
					["2"] = "27778",
					["3"] = "28232",
					["4"] = "27537",
					["5"] = "27948",	
				},
				["Druid"] = {
					["1"] = "28348",
					["2"] = "27737",
					["3"] = "28202",
					["4"] = "27468",
					["5"] = "27873",
				},
				["Warrior"] = {
					["1"] = "28350",
					["2"] = "27803",
					["3"] = "28205",
					["4"] = "27475",
					["5"] = "27977",
				},
				["Rogue"] = {
					["1"] = "28414",
					["2"] = "27776",
					["3"] = "28204",
					["4"] = "27509",
					["5"] = "27908",
				},
				["Hunter"] = {
					["1"] = "28275",
					["2"] = "27801",
					["3"] = "28228",
					["4"] = "27474",
					["5"] = "27874",
				},
				["Shaman"] = {
					["1"] = "28349",
					["2"] = "27802",
					["3"] = "28231",
					["4"] = "27510",
					["5"] = "27909",
				},
				["Cloth|10"] = {
					["1"] = "28193",
					["2"] = "27796",
					["3"] = "28191",
					["4"] = "27465",
					["5"] = "27907",
				},
				["Leather|11"] = {
					["1"] = "28224",
					["2"] = "27797",
					["3"] = "28264",
					["4"] = "27531",
					["5"] = "27837",
				},
				["Mail|12"] = {
					["1"] = "28192",
					["2"] = "27713",
					["3"] = "28401",
					["4"] = "27528",
					["5"] = "27936",
				},
				["Plate|13"] = {
					["1"] = "28225",
					["2"] = "27771",
					["3"] = "28403",
					["4"] = "27497",
					["5"] = "27870",
				},
			},
		},
		["Raid"] = {
                        ["T1|1"] = {
				["Priest"] = {
					["1"] = "16813|"..BZ["Molten Core"].."-"..BB["Garr"],
					["2"] = "16816|"..BZ["Molten Core"].."-"..BB["Sulfuron Harbinger"],
					["3"] = "16815|"..BZ["Molten Core"].."-"..BB["Golemagg the Incinerator"],
					["4"] = "16819|"..BZ["Molten Core"].."-"..L["Trash"],
					["5"] = "16812|"..BZ["Molten Core"].."-"..BB["Gehennas"],
					["6"] = "16817|"..BZ["Molten Core"].."-"..L["Trash"],
					["7"] = "16814|"..BZ["Molten Core"].."-"..BB["Magmadar"],
					["8"] = "16811|"..BZ["Molten Core"].."-"..BB["Shazzrah"],
				},
				["Paladin"] = {
					["1"] = "16854|"..BZ["Molten Core"].."-"..BB["Garr"],
					["2"] = "16856|"..BZ["Molten Core"].."-"..BB["Baron Geddon"],
					["3"] = "16853|"..BZ["Molten Core"].."-"..BB["Golemagg the Incinerator"],
					["4"] = "16857|"..BZ["Molten Core"].."-"..L["Trash"],
					["5"] = "16860|"..BZ["Molten Core"].."-"..BB["Gehennas"],
					["6"] = "16858|"..BZ["Molten Core"].."-"..L["Trash"],
					["7"] = "16855|"..BZ["Molten Core"].."-"..BB["Magmadar"],
					["8"] = "16859|"..BZ["Molten Core"].."-"..BB["Lucifron"],
				},
				["Mage"] = {
					["1"] = "16795|"..BZ["Molten Core"].."-"..BB["Garr"],
					["2"] = "16797|"..BZ["Molten Core"].."-"..BB["Baron Geddon"],
					["3"] = "16798|"..BZ["Molten Core"].."-"..BB["Golemagg the Incinerator"],
					["4"] = "16799|"..BZ["Molten Core"].."-"..L["Trash"],
					["5"] = "16801|"..BZ["Molten Core"].."-"..BB["Shazzrah"],
					["6"] = "16802|"..BZ["Molten Core"].."-"..L["Trash"],
					["7"] = "16796|"..BZ["Molten Core"].."-"..BB["Magmadar"],
					["8"] = "16800|"..BZ["Molten Core"].."-"..BB["Lucifron"],
				},
				["Warlock"] = {
					["1"] = "16808|"..BZ["Molten Core"].."-"..BB["Garr"],
					["2"] = "16807|"..BZ["Molten Core"].."-"..BB["Baron Geddon"],
					["3"] = "16809|"..BZ["Molten Core"].."-"..BB["Golemagg the Incinerator"],
					["4"] = "16804|"..BZ["Molten Core"].."-"..L["Trash"],
					["5"] = "16805|"..BZ["Molten Core"].."-"..BB["Lucifron"],
					["6"] = "16806|"..BZ["Molten Core"].."-"..L["Trash"],
					["7"] = "16810|"..BZ["Molten Core"].."-"..BB["Magmadar"],
					["8"] = "16803|"..BZ["Molten Core"].."-"..BB["Shazzrah"],
				},
				["Druid"] = {
					["1"] = "16834|"..BZ["Molten Core"].."-"..BB["Garr"],
					["2"] = "16836|"..BZ["Molten Core"].."-"..BB["Baron Geddon"],
					["3"] = "16833|"..BZ["Molten Core"].."-"..BB["Golemagg the Incinerator"],
					["4"] = "16830|"..BZ["Molten Core"].."-"..L["Trash"],
					["5"] = "16831|"..BZ["Molten Core"].."-"..BB["Shazzrah"],
					["6"] = "16828|"..BZ["Molten Core"].."-"..L["Trash"],
					["7"] = "16835|"..BZ["Molten Core"].."-"..BB["Magmadar"],
					["8"] = "16829|"..BZ["Molten Core"].."-"..BB["Lucifron"],
				},
				["Warrior"] = {
					["1"] = "16866|"..BZ["Molten Core"].."-"..BB["Garr"],
					["2"] = "16868|"..BZ["Molten Core"].."-"..BB["Sulfuron Harbinger"],
					["3"] = "16865|"..BZ["Molten Core"].."-"..BB["Golemagg the Incinerator"],
					["4"] = "16861|"..BZ["Molten Core"].."-"..L["Trash"],
					["5"] = "16863|"..BZ["Molten Core"].."-"..BB["Lucifron"],
					["6"] = "16864|"..BZ["Molten Core"].."-"..L["Trash"],
					["7"] = "16867|"..BZ["Molten Core"].."-"..BB["Magmadar"],
					["8"] = "16862|"..BZ["Molten Core"].."-"..BB["Gehennas"],
				},
				["Rogue"] = {
					["1"] = "16821|"..BZ["Molten Core"].."-"..BB["Garr"],
					["2"] = "16823|"..BZ["Molten Core"].."-"..BB["Sulfuron Harbinger"],
					["3"] = "16820|"..BZ["Molten Core"].."-"..BB["Golemagg the Incinerator"],
					["4"] = "16825|"..BZ["Molten Core"].."-"..L["Trash"],
					["5"] = "16826|"..BZ["Molten Core"].."-"..BB["Gehennas"],
					["6"] = "16827|"..BZ["Molten Core"].."-"..L["Trash"],
					["7"] = "16822|"..BZ["Molten Core"].."-"..BB["Magmadar"],
					["8"] = "16824|"..BZ["Molten Core"].."-"..BB["Shazzrah"],
				},
				["Hunter"] = {
					["1"] = "16846|"..BZ["Molten Core"].."-"..BB["Garr"],
					["2"] = "16848|"..BZ["Molten Core"].."-"..BB["Sulfuron Harbinger"],
					["3"] = "16845|"..BZ["Molten Core"].."-"..BB["Golemagg the Incinerator"],
					["4"] = "16850|"..BZ["Molten Core"].."-"..L["Trash"],
					["5"] = "16852|"..BZ["Molten Core"].."-"..BB["Shazzrah"],
					["6"] = "16851|"..BZ["Molten Core"].."-"..L["Trash"],
					["7"] = "16847|"..BZ["Molten Core"].."-"..BB["Magmadar"],
					["8"] = "16849|"..BZ["Molten Core"].."-"..BB["Gehennas"],
				},
				["Shaman"] = {
					["1"] = "16842|"..BZ["Molten Core"].."-"..BB["Garr"],
					["2"] = "16844|"..BZ["Molten Core"].."-"..BB["Baron Geddon"],
					["3"] = "16841|"..BZ["Molten Core"].."-"..BB["Golemagg the Incinerator"],
					["4"] = "16840|"..BZ["Molten Core"].."-"..L["Trash"],
					["5"] = "16839|"..BZ["Molten Core"].."-"..BB["Gehennas"],
					["6"] = "16838|"..BZ["Molten Core"].."-"..L["Trash"],
					["7"] = "16843|"..BZ["Molten Core"].."-"..BB["Magmadar"],
					["8"] = "16837|"..BZ["Molten Core"].."-"..BB["Lucifron"],
				},
			},
                        ["T2|2"] = {
				["Priest"] = {
					["1"] = "16921|"..BZ["Onyxia's Lair"].."-"..BB["Onyxia"],
					["2"] = "16924|"..BZ["Blackwing Lair"].."-"..BB["Chromaggus"],
					["3"] = "16923|"..BZ["Blackwing Lair"].."-"..BB["Nefarian"],
					["4"] = "16926|"..BZ["Blackwing Lair"].."-"..BB["Razorgore the Untamed"],
					["5"] = "16920|"..BZ["Blackwing Lair"].."-"..BB["Flamegor"].."/"..BB["Firemaw"].."/"..BB["Ebonroc"],
					["6"] = "16925|"..BZ["Blackwing Lair"].."-"..BB["Vaelastrasz the Corrupt"],
					["7"] = "16922|"..BZ["Molten Core"].."-"..BB["Ragnaros"],
					["8"] = "16919|"..BZ["Blackwing Lair"].."-"..BB["Broodlord Lashlayer"],
				},
				["Paladin"] = {
					["1"] = "16955|"..BZ["Onyxia's Lair"].."-"..BB["Onyxia"],
					["2"] = "16953|"..BZ["Blackwing Lair"].."-"..BB["Chromaggus"],
					["3"] = "16958|"..BZ["Blackwing Lair"].."-"..BB["Nefarian"],
					["4"] = "16951|"..BZ["Blackwing Lair"].."-"..BB["Razorgore the Untamed"],
					["5"] = "16956|"..BZ["Blackwing Lair"].."-"..BB["Flamegor"].."/"..BB["Firemaw"].."/"..BB["Ebonroc"],
					["6"] = "16952|"..BZ["Blackwing Lair"].."-"..BB["Vaelastrasz the Corrupt"],
					["7"] = "16954|"..BZ["Molten Core"].."-"..BB["Ragnaros"],
					["8"] = "16957|"..BZ["Blackwing Lair"].."-"..BB["Broodlord Lashlayer"],
				},
				["Mage"] = {
					["1"] = "16914|"..BZ["Onyxia's Lair"].."-"..BB["Onyxia"],
					["2"] = "16917|"..BZ["Blackwing Lair"].."-"..BB["Chromaggus"],
					["3"] = "16916|"..BZ["Blackwing Lair"].."-"..BB["Nefarian"],
					["4"] = "16918|"..BZ["Blackwing Lair"].."-"..BB["Razorgore the Untamed"],
					["5"] = "16913|"..BZ["Blackwing Lair"].."-"..BB["Flamegor"].."/"..BB["Firemaw"].."/"..BB["Ebonroc"],
					["6"] = "16818|"..BZ["Blackwing Lair"].."-"..BB["Vaelastrasz the Corrupt"],
					["7"] = "16915|"..BZ["Molten Core"].."-"..BB["Ragnaros"],
					["8"] = "16912|"..BZ["Blackwing Lair"].."-"..BB["Broodlord Lashlayer"],
				},
				["Warlock"] = {
					["1"] = "16929|"..BZ["Onyxia's Lair"].."-"..BB["Onyxia"],
					["2"] = "16932|"..BZ["Blackwing Lair"].."-"..BB["Chromaggus"],
					["3"] = "16931|"..BZ["Blackwing Lair"].."-"..BB["Nefarian"],
					["4"] = "16934|"..BZ["Blackwing Lair"].."-"..BB["Razorgore the Untamed"],
					["5"] = "16928|"..BZ["Blackwing Lair"].."-"..BB["Flamegor"].."/"..BB["Firemaw"].."/"..BB["Ebonroc"],
					["6"] = "16933|"..BZ["Blackwing Lair"].."-"..BB["Vaelastrasz the Corrupt"],
					["7"] = "16930|"..BZ["Molten Core"].."-"..BB["Ragnaros"],
					["8"] = "16927|"..BZ["Blackwing Lair"].."-"..BB["Broodlord Lashlayer"],
				},
				["Druid"] = {
					["1"] = "16900|"..BZ["Onyxia's Lair"].."-"..BB["Onyxia"],
					["2"] = "16902|"..BZ["Blackwing Lair"].."-"..BB["Chromaggus"],
					["3"] = "16897|"..BZ["Blackwing Lair"].."-"..BB["Nefarian"],
					["4"] = "16904|"..BZ["Blackwing Lair"].."-"..BB["Razorgore the Untamed"],
					["5"] = "16899|"..BZ["Blackwing Lair"].."-"..BB["Flamegor"].."/"..BB["Firemaw"].."/"..BB["Ebonroc"],
					["6"] = "16903|"..BZ["Blackwing Lair"].."-"..BB["Vaelastrasz the Corrupt"],
					["7"] = "16901|"..BZ["Molten Core"].."-"..BB["Ragnaros"],
					["8"] = "16898|"..BZ["Blackwing Lair"].."-"..BB["Broodlord Lashlayer"],
				},
				["Warrior"] = {
					["1"] = "16963|"..BZ["Onyxia's Lair"].."-"..BB["Onyxia"],
					["2"] = "16961|"..BZ["Blackwing Lair"].."-"..BB["Chromaggus"],
					["3"] = "16966|"..BZ["Blackwing Lair"].."-"..BB["Nefarian"],
					["4"] = "16959|"..BZ["Blackwing Lair"].."-"..BB["Razorgore the Untamed"],
					["5"] = "16964|"..BZ["Blackwing Lair"].."-"..BB["Flamegor"].."/"..BB["Firemaw"].."/"..BB["Ebonroc"],
					["6"] = "16960|"..BZ["Blackwing Lair"].."-"..BB["Vaelastrasz the Corrupt"],
					["7"] = "16962|"..BZ["Molten Core"].."-"..BB["Ragnaros"],
					["8"] = "16965|"..BZ["Blackwing Lair"].."-"..BB["Broodlord Lashlayer"],
				},
				["Rogue"] = {
					["1"] = "16908|"..BZ["Onyxia's Lair"].."-"..BB["Onyxia"],
					["2"] = "16832|"..BZ["Blackwing Lair"].."-"..BB["Chromaggus"],
					["3"] = "16905|"..BZ["Blackwing Lair"].."-"..BB["Nefarian"],
					["4"] = "16911|"..BZ["Blackwing Lair"].."-"..BB["Razorgore the Untamed"],
					["5"] = "16907|"..BZ["Blackwing Lair"].."-"..BB["Flamegor"].."/"..BB["Firemaw"].."/"..BB["Ebonroc"],
					["6"] = "16910|"..BZ["Blackwing Lair"].."-"..BB["Vaelastrasz the Corrupt"],
					["7"] = "16909|"..BZ["Molten Core"].."-"..BB["Ragnaros"],
					["8"] = "16906|"..BZ["Blackwing Lair"].."-"..BB["Broodlord Lashlayer"],
				},
				["Hunter"] = {
					["1"] = "16939|"..BZ["Onyxia's Lair"].."-"..BB["Onyxia"],
					["2"] = "16937|"..BZ["Blackwing Lair"].."-"..BB["Chromaggus"],
					["3"] = "16942|"..BZ["Blackwing Lair"].."-"..BB["Nefarian"],
					["4"] = "16935|"..BZ["Blackwing Lair"].."-"..BB["Razorgore the Untamed"],
					["5"] = "16940|"..BZ["Blackwing Lair"].."-"..BB["Flamegor"].."/"..BB["Firemaw"].."/"..BB["Ebonroc"],
					["6"] = "16936|"..BZ["Blackwing Lair"].."-"..BB["Vaelastrasz the Corrupt"],
					["7"] = "16938|"..BZ["Molten Core"].."-"..BB["Ragnaros"],
					["8"] = "16941|"..BZ["Blackwing Lair"].."-"..BB["Broodlord Lashlayer"],
				},
				["Shaman"] = {
					["1"] = "16947|"..BZ["Onyxia's Lair"].."-"..BB["Onyxia"],
					["2"] = "16945|"..BZ["Blackwing Lair"].."-"..BB["Chromaggus"],
					["3"] = "16950|"..BZ["Blackwing Lair"].."-"..BB["Nefarian"],
					["4"] = "16943|"..BZ["Blackwing Lair"].."-"..BB["Razorgore the Untamed"],
					["5"] = "16948|"..BZ["Blackwing Lair"].."-"..BB["Flamegor"].."/"..BB["Firemaw"].."/"..BB["Ebonroc"],
					["6"] = "16944|"..BZ["Blackwing Lair"].."-"..BB["Vaelastrasz the Corrupt"],
					["7"] = "16946|"..BZ["Molten Core"].."-"..BB["Ragnaros"],
					["8"] = "16949|"..BZ["Blackwing Lair"].."-"..BB["Broodlord Lashlayer"],
				},
			},
                        ["T2~5|3"] = {
				["Priest"] = {
					["1"] = "21348|"..BZ["Temple of Ahn'Qiraj"].."-"..BB["Emperor Vek'nilash"],
					["2"] = "21350|"..BZ["Temple of Ahn'Qiraj"].."-"..BB["Princess Huhuran"],
					["3"] = "21351|"..BZ["Temple of Ahn'Qiraj"].."-"..BB["C'Thun"],
					["4"] = "21352|"..BZ["Temple of Ahn'Qiraj"].."-"..BB["Ouro"],
					["5"] = "21349|"..BZ["Temple of Ahn'Qiraj"].."-"..BB["Princess Huhuran"],
				},
				["Paladin"] = {
					["1"] = "21387|"..BZ["Temple of Ahn'Qiraj"].."-"..BB["Emperor Vek'nilash"],
					["2"] = "21391|"..BZ["Temple of Ahn'Qiraj"].."-"..BB["Princess Huhuran"],
					["3"] = "21389|"..BZ["Temple of Ahn'Qiraj"].."-"..BB["C'Thun"],
					["4"] = "21390|"..BZ["Temple of Ahn'Qiraj"].."-"..BB["Ouro"],
					["5"] = "21388|"..BZ["Temple of Ahn'Qiraj"].."-"..BB["Princess Huhuran"],
				},
				["Mage"] = {
					["1"] = "21347|"..BZ["Temple of Ahn'Qiraj"].."-"..BB["Emperor Vek'nilash"],
					["2"] = "21345|"..BZ["Temple of Ahn'Qiraj"].."-"..BB["Princess Huhuran"],
					["3"] = "21343|"..BZ["Temple of Ahn'Qiraj"].."-"..BB["C'Thun"],
					["4"] = "21346|"..BZ["Temple of Ahn'Qiraj"].."-"..BB["Ouro"],
					["5"] = "21344|"..BZ["Temple of Ahn'Qiraj"].."-"..BB["Princess Huhuran"],
				},
				["Warlock"] = {
					["1"] = "21337|"..BZ["Temple of Ahn'Qiraj"].."-"..BB["Emperor Vek'nilash"],
					["2"] = "21335|"..BZ["Temple of Ahn'Qiraj"].."-"..BB["Princess Huhuran"],
					["3"] = "21334|"..BZ["Temple of Ahn'Qiraj"].."-"..BB["C'Thun"],
					["4"] = "21336|"..BZ["Temple of Ahn'Qiraj"].."-"..BB["Ouro"],
					["5"] = "21338|"..BZ["Temple of Ahn'Qiraj"].."-"..BB["Princess Huhuran"],
				},
				["Druid"] = {
					["1"] = "21353|"..BZ["Temple of Ahn'Qiraj"].."-"..BB["Emperor Vek'lor"],
					["2"] = "21354|"..BZ["Temple of Ahn'Qiraj"].."-"..BB["Princess Huhuran"],
					["3"] = "21357|"..BZ["Temple of Ahn'Qiraj"].."-"..BB["C'Thun"],
					["4"] = "21356|"..BZ["Temple of Ahn'Qiraj"].."-"..BB["Ouro"],
					["5"] = "21355|"..BZ["Temple of Ahn'Qiraj"].."-"..BB["Princess Huhuran"],
				},
				["Warrior"] = {
					["1"] = "21329|"..BZ["Temple of Ahn'Qiraj"].."-"..BB["Emperor Vek'nilash"],
					["2"] = "21330|"..BZ["Temple of Ahn'Qiraj"].."-"..BB["Princess Huhuran"],
					["3"] = "21331|"..BZ["Temple of Ahn'Qiraj"].."-"..BB["C'Thun"],
					["4"] = "21332|"..BZ["Temple of Ahn'Qiraj"].."-"..BB["Ouro"],
					["5"] = "21333|"..BZ["Temple of Ahn'Qiraj"].."-"..BB["Princess Huhuran"],
				},
				["Rogue"] = {
					["1"] = "21360|"..BZ["Temple of Ahn'Qiraj"].."-"..BB["Emperor Vek'lor"],
					["2"] = "21361|"..BZ["Temple of Ahn'Qiraj"].."-"..BB["Princess Huhuran"],
					["3"] = "21364|"..BZ["Temple of Ahn'Qiraj"].."-"..BB["C'Thun"],
					["4"] = "21362|"..BZ["Temple of Ahn'Qiraj"].."-"..BB["Ouro"],
					["5"] = "21359|"..BZ["Temple of Ahn'Qiraj"].."-"..BB["Princess Huhuran"],
				},
				["Hunter"] = {
					["1"] = "21366|"..BZ["Temple of Ahn'Qiraj"].."-"..BB["Emperor Vek'lor"],
					["2"] = "21367|"..BZ["Temple of Ahn'Qiraj"].."-"..BB["Princess Huhuran"],
					["3"] = "21370|"..BZ["Temple of Ahn'Qiraj"].."-"..BB["C'Thun"],
					["4"] = "21368|"..BZ["Temple of Ahn'Qiraj"].."-"..BB["Ouro"],
					["5"] = "21365|"..BZ["Temple of Ahn'Qiraj"].."-"..BB["Princess Huhuran"],
				},
				["Shaman"] = {
					["1"] = "21372|"..BZ["Temple of Ahn'Qiraj"].."-"..BB["Emperor Vek'nilash"],
					["2"] = "21376|"..BZ["Temple of Ahn'Qiraj"].."-"..BB["Princess Huhuran"],
					["3"] = "21374|"..BZ["Temple of Ahn'Qiraj"].."-"..BB["C'Thun"],
					["4"] = "21375|"..BZ["Temple of Ahn'Qiraj"].."-"..BB["Ouro"],
					["5"] = "21373|"..BZ["Temple of Ahn'Qiraj"].."-"..BB["Princess Huhuran"],
				},
			},
                        ["T3|4"] = {
				["Priest"] = {
					["1"] = "22514|"..BZ["Naxxramas"].."-"..BB["Thaddius"],
					["2"] = "22515|"..BZ["Naxxramas"].."-"..BB["Patchwerk"].."/"..BB["Grobbulus"].."/"..BB["Gluth"],
					["3"] = "22512|"..BZ["Naxxramas"].."-"..BB["The Four Horsemen"],
					["4"] = "22519|"..BZ["Naxxramas"].."-"..BB["Anub'Rekhan"].."/"..BB["Grand Widow Faerlina"].."/"..BB["Gluth"],
					["5"] = "22517|"..BZ["Naxxramas"].."-"..BB["Maexxna"],
					["6"] = "22518|"..BZ["Naxxramas"].."-"..BB["Noth the Plaguebringer"].."/"..BB["Heigan the Unclean"].."/"..BB["Gluth"],
					["7"] = "22513|"..BZ["Naxxramas"].."-"..BB["Loatheb"],
					["8"] = "22516|"..BZ["Naxxramas"].."-"..BB["Instructor Razuvious"].."/"..BB["Gothik the Harvester"].."/"..BB["Gluth"],
					["9"] = "23061|"..BZ["Naxxramas"].."-"..BB["Kel'Thuzad"],
				},
				["Paladin"] = {
					["1"] = "22428|"..BZ["Naxxramas"].."-"..BB["Thaddius"],
					["2"] = "22429|"..BZ["Naxxramas"].."-"..BB["Patchwerk"].."/"..BB["Grobbulus"].."/"..BB["Gluth"],
					["3"] = "22425|"..BZ["Naxxramas"].."-"..BB["The Four Horsemen"],
					["4"] = "22424|"..BZ["Naxxramas"].."-"..BB["Anub'Rekhan"].."/"..BB["Grand Widow Faerlina"].."/"..BB["Gluth"],
					["5"] = "22426|"..BZ["Naxxramas"].."-"..BB["Maexxna"],
					["6"] = "22431|"..BZ["Naxxramas"].."-"..BB["Noth the Plaguebringer"].."/"..BB["Heigan the Unclean"].."/"..BB["Gluth"],
					["7"] = "22427|"..BZ["Naxxramas"].."-"..BB["Loatheb"],
					["8"] = "22430|"..BZ["Naxxramas"].."-"..BB["Instructor Razuvious"].."/"..BB["Gothik the Harvester"].."/"..BB["Gluth"],
					["9"] = "23066|"..BZ["Naxxramas"].."-"..BB["Kel'Thuzad"],
				},
				["Mage"] = {
					["1"] = "22498|"..BZ["Naxxramas"].."-"..BB["Thaddius"],
					["2"] = "22499|"..BZ["Naxxramas"].."-"..BB["Patchwerk"].."/"..BB["Grobbulus"].."/"..BB["Gluth"],
					["3"] = "22496|"..BZ["Naxxramas"].."-"..BB["The Four Horsemen"],
					["4"] = "22503|"..BZ["Naxxramas"].."-"..BB["Anub'Rekhan"].."/"..BB["Grand Widow Faerlina"].."/"..BB["Gluth"],
					["5"] = "22501|"..BZ["Naxxramas"].."-"..BB["Maexxna"],
					["6"] = "22502|"..BZ["Naxxramas"].."-"..BB["Noth the Plaguebringer"].."/"..BB["Heigan the Unclean"].."/"..BB["Gluth"],
					["7"] = "22497|"..BZ["Naxxramas"].."-"..BB["Loatheb"],
					["8"] = "22500|"..BZ["Naxxramas"].."-"..BB["Instructor Razuvious"].."/"..BB["Gothik the Harvester"].."/"..BB["Gluth"],
					["9"] = "23062|"..BZ["Naxxramas"].."-"..BB["Kel'Thuzad"],
				},
				["Warlock"] = {
					["1"] = "22506|"..BZ["Naxxramas"].."-"..BB["Thaddius"],
					["2"] = "22507|"..BZ["Naxxramas"].."-"..BB["Patchwerk"].."/"..BB["Grobbulus"].."/"..BB["Gluth"],
					["3"] = "22504|"..BZ["Naxxramas"].."-"..BB["The Four Horsemen"],
					["4"] = "22511|"..BZ["Naxxramas"].."-"..BB["Anub'Rekhan"].."/"..BB["Grand Widow Faerlina"].."/"..BB["Gluth"],
					["5"] = "22509|"..BZ["Naxxramas"].."-"..BB["Maexxna"],
					["6"] = "22510|"..BZ["Naxxramas"].."-"..BB["Noth the Plaguebringer"].."/"..BB["Heigan the Unclean"].."/"..BB["Gluth"],
					["7"] = "22513|"..BZ["Naxxramas"].."-"..BB["Loatheb"],
					["8"] = "22505|"..BZ["Naxxramas"].."-"..BB["Instructor Razuvious"].."/"..BB["Gothik the Harvester"].."/"..BB["Gluth"],
					["9"] = "23063|"..BZ["Naxxramas"].."-"..BB["Kel'Thuzad"],
				},
				["Druid"] = {
					["1"] = "22490|"..BZ["Naxxramas"].."-"..BB["Thaddius"],
					["2"] = "22491|"..BZ["Naxxramas"].."-"..BB["Patchwerk"].."/"..BB["Grobbulus"].."/"..BB["Gluth"],
					["3"] = "22488|"..BZ["Naxxramas"].."-"..BB["The Four Horsemen"],
					["4"] = "22495|"..BZ["Naxxramas"].."-"..BB["Anub'Rekhan"].."/"..BB["Grand Widow Faerlina"].."/"..BB["Gluth"],
					["5"] = "22493|"..BZ["Naxxramas"].."-"..BB["Maexxna"],
					["6"] = "22494|"..BZ["Naxxramas"].."-"..BB["Noth the Plaguebringer"].."/"..BB["Heigan the Unclean"].."/"..BB["Gluth"],
					["7"] = "22489|"..BZ["Naxxramas"].."-"..BB["Loatheb"],
					["8"] = "22492|"..BZ["Naxxramas"].."-"..BB["Instructor Razuvious"].."/"..BB["Gothik the Harvester"].."/"..BB["Gluth"],
					["9"] = "23064|"..BZ["Naxxramas"].."-"..BB["Kel'Thuzad"],
				},
				["Warrior"] = {
					["1"] = "22418|"..BZ["Naxxramas"].."-"..BB["Thaddius"],
					["2"] = "22419|"..BZ["Naxxramas"].."-"..BB["Patchwerk"].."/"..BB["Grobbulus"].."/"..BB["Gluth"],
					["3"] = "22416|"..BZ["Naxxramas"].."-"..BB["The Four Horsemen"],
					["4"] = "22423|"..BZ["Naxxramas"].."-"..BB["Anub'Rekhan"].."/"..BB["Grand Widow Faerlina"].."/"..BB["Gluth"],
					["5"] = "22421|"..BZ["Naxxramas"].."-"..BB["Maexxna"],
					["6"] = "22422|"..BZ["Naxxramas"].."-"..BB["Noth the Plaguebringer"].."/"..BB["Heigan the Unclean"].."/"..BB["Gluth"],
					["7"] = "22417|"..BZ["Naxxramas"].."-"..BB["Loatheb"],
					["8"] = "22420|"..BZ["Naxxramas"].."-"..BB["Instructor Razuvious"].."/"..BB["Gothik the Harvester"].."/"..BB["Gluth"],
					["9"] = "23059|"..BZ["Naxxramas"].."-"..BB["Kel'Thuzad"],
				},
				["Rogue"] = {
					["1"] = "22478|"..BZ["Naxxramas"].."-"..BB["Thaddius"],
					["2"] = "22479|"..BZ["Naxxramas"].."-"..BB["Patchwerk"].."/"..BB["Grobbulus"].."/"..BB["Gluth"],
					["3"] = "22476|"..BZ["Naxxramas"].."-"..BB["The Four Horsemen"],
					["4"] = "22483|"..BZ["Naxxramas"].."-"..BB["Anub'Rekhan"].."/"..BB["Grand Widow Faerlina"].."/"..BB["Gluth"],
					["5"] = "22481|"..BZ["Naxxramas"].."-"..BB["Maexxna"],
					["6"] = "22482|"..BZ["Naxxramas"].."-"..BB["Noth the Plaguebringer"].."/"..BB["Heigan the Unclean"].."/"..BB["Gluth"],
					["7"] = "22477|"..BZ["Naxxramas"].."-"..BB["Loatheb"],
					["8"] = "22480|"..BZ["Naxxramas"].."-"..BB["Instructor Razuvious"].."/"..BB["Gothik the Harvester"].."/"..BB["Gluth"],
					["9"] = "23060|"..BZ["Naxxramas"].."-"..BB["Kel'Thuzad"],
				},
				["Hunter"] = {
					["1"] = "22438|"..BZ["Naxxramas"].."-"..BB["Thaddius"],
					["2"] = "22439|"..BZ["Naxxramas"].."-"..BB["Patchwerk"].."/"..BB["Grobbulus"].."/"..BB["Gluth"],
					["3"] = "22436|"..BZ["Naxxramas"].."-"..BB["The Four Horsemen"],
					["4"] = "22443|"..BZ["Naxxramas"].."-"..BB["Anub'Rekhan"].."/"..BB["Grand Widow Faerlina"].."/"..BB["Gluth"],
					["5"] = "22441|"..BZ["Naxxramas"].."-"..BB["Maexxna"],
					["6"] = "22442|"..BZ["Naxxramas"].."-"..BB["Noth the Plaguebringer"].."/"..BB["Heigan the Unclean"].."/"..BB["Gluth"],
					["7"] = "22437|"..BZ["Naxxramas"].."-"..BB["Loatheb"],
					["8"] = "22440|"..BZ["Naxxramas"].."-"..BB["Instructor Razuvious"].."/"..BB["Gothik the Harvester"].."/"..BB["Gluth"],
					["9"] = "23067|"..BZ["Naxxramas"].."-"..BB["Kel'Thuzad"],
				},
				["Shaman"] = {			
					["9"] = "23065|"..BZ["Naxxramas"].."-"..BB["Kel'Thuzad"],
				},				
			},
                        ["T4|5"] = {
				["Priest"] = {
					["1"] = "29049|"..BZ["Karazhan"].."-"..BB["Prince Malchezaar"],
					["2"] = "29054|"..BZ["Gruul's Lair"].."-"..BB["High King Maulgar"],
					["3"] = "29050|"..BZ["Magtheridon's Lair"].."-"..BB["Magtheridon"],
					["4"] = "29055|"..BZ["Karazhan"].."-"..BB["The Curator"],
					["5"] = "29053|"..BZ["Gruul's Lair"].."-"..BB["Gruul the Dragonkiller"],
					["6"] = "29058|"..BZ["Karazhan"].."-"..BB["Prince Malchezaar"],
					["7"] = "29060|"..BZ["Gruul's Lair"].."-"..BB["High King Maulgar"],
					["8"] = "29056|"..BZ["Magtheridon's Lair"].."-"..BB["Magtheridon"],
					["9"] = "29057|"..BZ["Karazhan"].."-"..BB["The Curator"],
					["10"] = "29059|"..BZ["Gruul's Lair"].."-"..BB["Gruul the Dragonkiller"],
				},
				["Paladin"] = {
					["1"] = "29061|"..BZ["Karazhan"].."-"..BB["Prince Malchezaar"],
					["2"] = "29064|"..BZ["Gruul's Lair"].."-"..BB["High King Maulgar"],
					["3"] = "29062|"..BZ["Magtheridon's Lair"].."-"..BB["Magtheridon"],
					["4"] = "29065|"..BZ["Karazhan"].."-"..BB["The Curator"],
					["5"] = "29063|"..BZ["Gruul's Lair"].."-"..BB["Gruul the Dragonkiller"],
					["6"] = "29073|"..BZ["Karazhan"].."-"..BB["Prince Malchezaar"],
					["7"] = "29075|"..BZ["Gruul's Lair"].."-"..BB["High King Maulgar"],
					["8"] = "29071|"..BZ["Magtheridon's Lair"].."-"..BB["Magtheridon"],
					["9"] = "29072|"..BZ["Karazhan"].."-"..BB["The Curator"],
					["10"] = "29074|"..BZ["Gruul's Lair"].."-"..BB["Gruul the Dragonkiller"],
					["11"] = "29068|"..BZ["Karazhan"].."-"..BB["Prince Malchezaar"],
					["12"] = "29070|"..BZ["Gruul's Lair"].."-"..BB["High King Maulgar"],
					["13"] = "29068|"..BZ["Magtheridon's Lair"].."-"..BB["Magtheridon"],
					["14"] = "29067|"..BZ["Karazhan"].."-"..BB["The Curator"],
					["15"] = "29069|"..BZ["Gruul's Lair"].."-"..BB["Gruul the Dragonkiller"],
				},
				["Mage"] = {
					["1"] = "29076|"..BZ["Karazhan"].."-"..BB["Prince Malchezaar"],
					["2"] = "29079|"..BZ["Gruul's Lair"].."-"..BB["High King Maulgar"],
					["3"] = "29077|"..BZ["Magtheridon's Lair"].."-"..BB["Magtheridon"],
					["4"] = "29080|"..BZ["Karazhan"].."-"..BB["The Curator"],
					["5"] = "29078|"..BZ["Gruul's Lair"].."-"..BB["Gruul the Dragonkiller"],
				},
				["Warlock"] = {
					["1"] = "28963|"..BZ["Karazhan"].."-"..BB["Prince Malchezaar"],
					["2"] = "28967|"..BZ["Gruul's Lair"].."-"..BB["High King Maulgar"],
					["3"] = "28964|"..BZ["Magtheridon's Lair"].."-"..BB["Magtheridon"],
					["4"] = "28968|"..BZ["Karazhan"].."-"..BB["The Curator"],
					["5"] = "28966|"..BZ["Gruul's Lair"].."-"..BB["Gruul the Dragonkiller"],
				},
				["Druid"] = {
					["1"] = "29086|"..BZ["Karazhan"].."-"..BB["Prince Malchezaar"],
					["2"] = "29089|"..BZ["Gruul's Lair"].."-"..BB["High King Maulgar"],
					["3"] = "29087|"..BZ["Magtheridon's Lair"].."-"..BB["Magtheridon"],
					["4"] = "29090|"..BZ["Karazhan"].."-"..BB["The Curator"],
					["5"] = "29088|"..BZ["Gruul's Lair"].."-"..BB["Gruul the Dragonkiller"],
					["6"] = "29098|"..BZ["Karazhan"].."-"..BB["Prince Malchezaar"],
					["7"] = "29100|"..BZ["Gruul's Lair"].."-"..BB["High King Maulgar"],
					["8"] = "29096|"..BZ["Magtheridon's Lair"].."-"..BB["Magtheridon"],
					["9"] = "29097|"..BZ["Karazhan"].."-"..BB["The Curator"],
					["10"] = "29099|"..BZ["Gruul's Lair"].."-"..BB["Gruul the Dragonkiller"],
					["11"] = "29093|"..BZ["Karazhan"].."-"..BB["Prince Malchezaar"],
					["12"] = "29095|"..BZ["Gruul's Lair"].."-"..BB["High King Maulgar"],
					["13"] = "29091|"..BZ["Magtheridon's Lair"].."-"..BB["Magtheridon"],
					["14"] = "29092|"..BZ["Karazhan"].."-"..BB["The Curator"],
					["15"] = "29094|"..BZ["Gruul's Lair"].."-"..BB["Gruul the Dragonkiller"],
				},
				["Warrior"] = {
					["1"] = "29011|"..BZ["Karazhan"].."-"..BB["Prince Malchezaar"],
					["2"] = "29016|"..BZ["Gruul's Lair"].."-"..BB["High King Maulgar"],
					["3"] = "29012|"..BZ["Magtheridon's Lair"].."-"..BB["Magtheridon"],
					["4"] = "29017|"..BZ["Karazhan"].."-"..BB["The Curator"],
					["5"] = "29015|"..BZ["Gruul's Lair"].."-"..BB["Gruul the Dragonkiller"],
					["6"] = "29021|"..BZ["Karazhan"].."-"..BB["Prince Malchezaar"],
					["7"] = "29023|"..BZ["Gruul's Lair"].."-"..BB["High King Maulgar"],
					["8"] = "29019|"..BZ["Magtheridon's Lair"].."-"..BB["Magtheridon"],
					["9"] = "29020|"..BZ["Karazhan"].."-"..BB["The Curator"],
					["10"] = "29022|"..BZ["Gruul's Lair"].."-"..BB["Gruul the Dragonkiller"],
				},
				["Rogue"] = {
					["1"] = "29044|"..BZ["Karazhan"].."-"..BB["Prince Malchezaar"],
					["2"] = "29047|"..BZ["Gruul's Lair"].."-"..BB["High King Maulgar"],
					["3"] = "29045|"..BZ["Magtheridon's Lair"].."-"..BB["Magtheridon"],
					["4"] = "29048|"..BZ["Karazhan"].."-"..BB["The Curator"],
					["5"] = "29046|"..BZ["Gruul's Lair"].."-"..BB["Gruul the Dragonkiller"],
				},
				["Hunter"] = {
					["1"] = "29081|"..BZ["Karazhan"].."-"..BB["Prince Malchezaar"],
					["2"] = "29084|"..BZ["Gruul's Lair"].."-"..BB["High King Maulgar"],
					["3"] = "29082|"..BZ["Magtheridon's Lair"].."-"..BB["Magtheridon"],
					["4"] = "29085|"..BZ["Karazhan"].."-"..BB["The Curator"],
					["5"] = "29083|"..BZ["Gruul's Lair"].."-"..BB["Gruul the Dragonkiller"],
				},
				["Shaman"] = {
					["1"] = "29028|"..BZ["Karazhan"].."-"..BB["Prince Malchezaar"],
					["2"] = "29031|"..BZ["Gruul's Lair"].."-"..BB["High King Maulgar"],
					["3"] = "29029|"..BZ["Magtheridon's Lair"].."-"..BB["Magtheridon"],
					["4"] = "29032|"..BZ["Karazhan"].."-"..BB["The Curator"],
					["5"] = "29030|"..BZ["Gruul's Lair"].."-"..BB["Gruul the Dragonkiller"],
					["6"] = "29040|"..BZ["Karazhan"].."-"..BB["Prince Malchezaar"],
					["7"] = "29043|"..BZ["Gruul's Lair"].."-"..BB["High King Maulgar"],
					["8"] = "29038|"..BZ["Magtheridon's Lair"].."-"..BB["Magtheridon"],
					["9"] = "29039|"..BZ["Karazhan"].."-"..BB["The Curator"],
					["10"] = "29042|"..BZ["Gruul's Lair"].."-"..BB["Gruul the Dragonkiller"],
					["11"] = "29035|"..BZ["Karazhan"].."-"..BB["Prince Malchezaar"],
					["12"] = "29037|"..BZ["Gruul's Lair"].."-"..BB["High King Maulgar"],
					["13"] = "29033|"..BZ["Magtheridon's Lair"].."-"..BB["Magtheridon"],
					["14"] = "29034|"..BZ["Karazhan"].."-"..BB["The Curator"],
					["15"] = "29036|"..BZ["Gruul's Lair"].."-"..BB["Gruul the Dragonkiller"],
				},
			},
                        ["T4|5"] = {
				["Priest"] = {
					["1"] = "29049|"..BZ["Karazhan"].."-"..BB["Prince Malchezaar"],
					["2"] = "29054|"..BZ["Gruul's Lair"].."-"..BB["High King Maulgar"],
					["3"] = "29050|"..BZ["Magtheridon's Lair"].."-"..BB["Magtheridon"],
					["4"] = "29055|"..BZ["Karazhan"].."-"..BB["The Curator"],
					["5"] = "29053|"..BZ["Gruul's Lair"].."-"..BB["Gruul the Dragonkiller"],
					["6"] = "29058|"..BZ["Karazhan"].."-"..BB["Prince Malchezaar"],
					["7"] = "29060|"..BZ["Gruul's Lair"].."-"..BB["High King Maulgar"],
					["8"] = "29056|"..BZ["Magtheridon's Lair"].."-"..BB["Magtheridon"],
					["9"] = "29057|"..BZ["Karazhan"].."-"..BB["The Curator"],
					["10"] = "29059|"..BZ["Gruul's Lair"].."-"..BB["Gruul the Dragonkiller"],
				},
				["Paladin"] = {
					["1"] = "29061|"..BZ["Karazhan"].."-"..BB["Prince Malchezaar"],
					["2"] = "29064|"..BZ["Gruul's Lair"].."-"..BB["High King Maulgar"],
					["3"] = "29062|"..BZ["Magtheridon's Lair"].."-"..BB["Magtheridon"],
					["4"] = "29065|"..BZ["Karazhan"].."-"..BB["The Curator"],
					["5"] = "29063|"..BZ["Gruul's Lair"].."-"..BB["Gruul the Dragonkiller"],
					["6"] = "29073|"..BZ["Karazhan"].."-"..BB["Prince Malchezaar"],
					["7"] = "29075|"..BZ["Gruul's Lair"].."-"..BB["High King Maulgar"],
					["8"] = "29071|"..BZ["Magtheridon's Lair"].."-"..BB["Magtheridon"],
					["9"] = "29072|"..BZ["Karazhan"].."-"..BB["The Curator"],
					["10"] = "29074|"..BZ["Gruul's Lair"].."-"..BB["Gruul the Dragonkiller"],
					["11"] = "29068|"..BZ["Karazhan"].."-"..BB["Prince Malchezaar"],
					["12"] = "29070|"..BZ["Gruul's Lair"].."-"..BB["High King Maulgar"],
					["13"] = "29068|"..BZ["Magtheridon's Lair"].."-"..BB["Magtheridon"],
					["14"] = "29067|"..BZ["Karazhan"].."-"..BB["The Curator"],
					["15"] = "29069|"..BZ["Gruul's Lair"].."-"..BB["Gruul the Dragonkiller"],
				},
				["Mage"] = {
					["1"] = "29076|"..BZ["Karazhan"].."-"..BB["Prince Malchezaar"],
					["2"] = "29079|"..BZ["Gruul's Lair"].."-"..BB["High King Maulgar"],
					["3"] = "29077|"..BZ["Magtheridon's Lair"].."-"..BB["Magtheridon"],
					["4"] = "29080|"..BZ["Karazhan"].."-"..BB["The Curator"],
					["5"] = "29078|"..BZ["Gruul's Lair"].."-"..BB["Gruul the Dragonkiller"],
				},
				["Warlock"] = {
					["1"] = "28963|"..BZ["Karazhan"].."-"..BB["Prince Malchezaar"],
					["2"] = "28967|"..BZ["Gruul's Lair"].."-"..BB["High King Maulgar"],
					["3"] = "28964|"..BZ["Magtheridon's Lair"].."-"..BB["Magtheridon"],
					["4"] = "28968|"..BZ["Karazhan"].."-"..BB["The Curator"],
					["5"] = "28966|"..BZ["Gruul's Lair"].."-"..BB["Gruul the Dragonkiller"],
				},
				["Druid"] = {
					["1"] = "29086|"..BZ["Karazhan"].."-"..BB["Prince Malchezaar"],
					["2"] = "29089|"..BZ["Gruul's Lair"].."-"..BB["High King Maulgar"],
					["3"] = "29087|"..BZ["Magtheridon's Lair"].."-"..BB["Magtheridon"],
					["4"] = "29090|"..BZ["Karazhan"].."-"..BB["The Curator"],
					["5"] = "29088|"..BZ["Gruul's Lair"].."-"..BB["Gruul the Dragonkiller"],
					["6"] = "29098|"..BZ["Karazhan"].."-"..BB["Prince Malchezaar"],
					["7"] = "29100|"..BZ["Gruul's Lair"].."-"..BB["High King Maulgar"],
					["8"] = "29096|"..BZ["Magtheridon's Lair"].."-"..BB["Magtheridon"],
					["9"] = "29097|"..BZ["Karazhan"].."-"..BB["The Curator"],
					["10"] = "29099|"..BZ["Gruul's Lair"].."-"..BB["Gruul the Dragonkiller"],
					["11"] = "29093|"..BZ["Karazhan"].."-"..BB["Prince Malchezaar"],
					["12"] = "29095|"..BZ["Gruul's Lair"].."-"..BB["High King Maulgar"],
					["13"] = "29091|"..BZ["Magtheridon's Lair"].."-"..BB["Magtheridon"],
					["14"] = "29092|"..BZ["Karazhan"].."-"..BB["The Curator"],
					["15"] = "29094|"..BZ["Gruul's Lair"].."-"..BB["Gruul the Dragonkiller"],
				},
				["Warrior"] = {
					["1"] = "29011|"..BZ["Karazhan"].."-"..BB["Prince Malchezaar"],
					["2"] = "29016|"..BZ["Gruul's Lair"].."-"..BB["High King Maulgar"],
					["3"] = "29012|"..BZ["Magtheridon's Lair"].."-"..BB["Magtheridon"],
					["4"] = "29017|"..BZ["Karazhan"].."-"..BB["The Curator"],
					["5"] = "29015|"..BZ["Gruul's Lair"].."-"..BB["Gruul the Dragonkiller"],
					["6"] = "29021|"..BZ["Karazhan"].."-"..BB["Prince Malchezaar"],
					["7"] = "29023|"..BZ["Gruul's Lair"].."-"..BB["High King Maulgar"],
					["8"] = "29019|"..BZ["Magtheridon's Lair"].."-"..BB["Magtheridon"],
					["9"] = "29020|"..BZ["Karazhan"].."-"..BB["The Curator"],
					["10"] = "29022|"..BZ["Gruul's Lair"].."-"..BB["Gruul the Dragonkiller"],
				},
				["Rogue"] = {
					["1"] = "29044|"..BZ["Karazhan"].."-"..BB["Prince Malchezaar"],
					["2"] = "29047|"..BZ["Gruul's Lair"].."-"..BB["High King Maulgar"],
					["3"] = "29045|"..BZ["Magtheridon's Lair"].."-"..BB["Magtheridon"],
					["4"] = "29048|"..BZ["Karazhan"].."-"..BB["The Curator"],
					["5"] = "29046|"..BZ["Gruul's Lair"].."-"..BB["Gruul the Dragonkiller"],
				},
				["Hunter"] = {
					["1"] = "29081|"..BZ["Karazhan"].."-"..BB["Prince Malchezaar"],
					["2"] = "29084|"..BZ["Gruul's Lair"].."-"..BB["High King Maulgar"],
					["3"] = "29082|"..BZ["Magtheridon's Lair"].."-"..BB["Magtheridon"],
					["4"] = "29085|"..BZ["Karazhan"].."-"..BB["The Curator"],
					["5"] = "29083|"..BZ["Gruul's Lair"].."-"..BB["Gruul the Dragonkiller"],
				},
				["Shaman"] = {
					["1"] = "29028|"..BZ["Karazhan"].."-"..BB["Prince Malchezaar"],
					["2"] = "29031|"..BZ["Gruul's Lair"].."-"..BB["High King Maulgar"],
					["3"] = "29029|"..BZ["Magtheridon's Lair"].."-"..BB["Magtheridon"],
					["4"] = "29032|"..BZ["Karazhan"].."-"..BB["The Curator"],
					["5"] = "29030|"..BZ["Gruul's Lair"].."-"..BB["Gruul the Dragonkiller"],
					["6"] = "29040|"..BZ["Karazhan"].."-"..BB["Prince Malchezaar"],
					["7"] = "29043|"..BZ["Gruul's Lair"].."-"..BB["High King Maulgar"],
					["8"] = "29038|"..BZ["Magtheridon's Lair"].."-"..BB["Magtheridon"],
					["9"] = "29039|"..BZ["Karazhan"].."-"..BB["The Curator"],
					["10"] = "29042|"..BZ["Gruul's Lair"].."-"..BB["Gruul the Dragonkiller"],
					["11"] = "29035|"..BZ["Karazhan"].."-"..BB["Prince Malchezaar"],
					["12"] = "29037|"..BZ["Gruul's Lair"].."-"..BB["High King Maulgar"],
					["13"] = "29033|"..BZ["Magtheridon's Lair"].."-"..BB["Magtheridon"],
					["14"] = "29034|"..BZ["Karazhan"].."-"..BB["The Curator"],
					["15"] = "29036|"..BZ["Gruul's Lair"].."-"..BB["Gruul the Dragonkiller"],
				},
			},
                        ["T5|6"] = {
				["Priest"] = {
				},
				["Paladin"] = {
				},
				["Mage"] = {
				},
				["Warlock"] = {
				},
				["Druid"] = {
					["1"] = "30219|"..BZ["Serpentshrine Cavern"].."-"..BB["Lady Vashj"],
					["2"] = "30221",
					["3"] = "30216",
					["4"] = "30217|"..BZ["Serpentshrine Cavern"].."-"..BB["Leotheras the Blind"],
					["5"] = "30220|"..BZ["Serpentshrine Cavern"].."-"..BB["Fathom-Lord Karathress"],
					["6"] = "30228|"..BZ["Serpentshrine Cavern"].."-"..BB["Lady Vashj"],
					["7"] = "30230",
					["8"] = "30222",
					["9"] = "30223|"..BZ["Serpentshrine Cavern"].."-"..BB["Leotheras the Blind"],
					["10"] = "30229|"..BZ["Serpentshrine Cavern"].."-"..BB["Fathom-Lord Karathress"],
					["11"] = "30233|"..BZ["Serpentshrine Cavern"].."-"..BB["Lady Vashj"],
					["12"] = "30235",
					["13"] = "30231",
					["14"] = "30232|"..BZ["Serpentshrine Cavern"].."-"..BB["Leotheras the Blind"],
					["15"] = "30234|"..BZ["Serpentshrine Cavern"].."-"..BB["Fathom-Lord Karathress"],
				},
				["Warrior"] = {
					["1"] = "30115|"..BZ["Serpentshrine Cavern"].."-"..BB["Lady Vashj"],
					["2"] = "30117",
					["3"] = "30113",
					["4"] = "30114|"..BZ["Serpentshrine Cavern"].."-"..BB["Leotheras the Blind"],
					["5"] = "30116|"..BZ["Serpentshrine Cavern"].."-"..BB["Fathom-Lord Karathress"],
					["6"] = "30120|"..BZ["Serpentshrine Cavern"].."-"..BB["Lady Vashj"],
					["7"] = "30122",
					["8"] = "30118",
					["9"] = "30119|"..BZ["Serpentshrine Cavern"].."-"..BB["Leotheras the Blind"],
					["10"] = "30121|"..BZ["Serpentshrine Cavern"].."-"..BB["Fathom-Lord Karathress"],
				},
				["Rogue"] = {
				},
				["Hunter"] = {
					["1"] = "30141|"..BZ["Serpentshrine Cavern"].."-"..BB["Lady Vashj"],
					["2"] = "30143",
					["3"] = "30139",
					["4"] = "30140|"..BZ["Serpentshrine Cavern"].."-"..BB["Leotheras the Blind"],
					["5"] = "30142|"..BZ["Serpentshrine Cavern"].."-"..BB["Fathom-Lord Karathress"],
				},
				["Shaman"] = {
					["1"] = "30166|"..BZ["Serpentshrine Cavern"].."-"..BB["Lady Vashj"],
					["2"] = "30168",
					["3"] = "30164",
					["4"] = "30165|"..BZ["Serpentshrine Cavern"].."-"..BB["Leotheras the Blind"],
					["5"] = "30167|"..BZ["Serpentshrine Cavern"].."-"..BB["Fathom-Lord Karathress"],
					["6"] = "30190|"..BZ["Serpentshrine Cavern"].."-"..BB["Lady Vashj"],
					["7"] = "30194",
					["8"] = "30185",
					["9"] = "30189|"..BZ["Serpentshrine Cavern"].."-"..BB["Leotheras the Blind"],
					["10"] = "30192|"..BZ["Serpentshrine Cavern"].."-"..BB["Fathom-Lord Karathress"],
					["11"] = "30171|"..BZ["Serpentshrine Cavern"].."-"..BB["Lady Vashj"],
					["12"] = "30173",
					["13"] = "30169",
					["14"] = "30170|"..BZ["Serpentshrine Cavern"].."-"..BB["Leotheras the Blind"],
					["15"] = "30172|"..BZ["Serpentshrine Cavern"].."-"..BB["Fathom-Lord Karathress"],
				},
			},
		},
	},
	["PvP|5"] = {
		["Arena"] = {
                        ["Vendor|1"] = {
				["Priest"] = {
					["1"] = "27708|"..L["Arena"].." "..L["Point"].." 1875"..L["p"],
					["2"] = "27710|"..L["Arena"].." "..L["Point"].." 1500"..L["p"],
					["3"] = "27711|"..L["Arena"].." "..L["Point"].." 1875"..L["p"],
					["4"] = "27707|"..L["Arena"].." "..L["Point"].." 1125"..L["p"],
					["5"] = "27709|"..L["Arena"].." "..L["Point"].." 1875"..L["p"],
					["6"] = "31410|"..L["Arena"].." "..L["Point"].." 1875"..L["p"],
					["7"] = "31412|"..L["Arena"].." "..L["Point"].." 1500"..L["p"],
					["8"] = "31413|"..L["Arena"].." "..L["Point"].." 1875"..L["p"],
					["9"] = "31409|"..L["Arena"].." "..L["Point"].." 1125"..L["p"],
					["10"] = "31411|"..L["Arena"].." "..L["Point"].." 1875"..L["p"],
				},
				["Paladin"] = {
					["1"] = "31616|"..L["Arena"].." "..L["Point"].." 1875"..L["p"],
					["2"] = "31619|"..L["Arena"].." "..L["Point"].." 1500"..L["p"],
					["3"] = "31613|"..L["Arena"].." "..L["Point"].." 1875"..L["p"],
					["4"] = "31614|"..L["Arena"].." "..L["Point"].." 1125"..L["p"],
					["5"] = "31618|"..L["Arena"].." "..L["Point"].." 1875"..L["p"],
					["6"] = "27704|"..L["Arena"].." "..L["Point"].." 1875"..L["p"],
					["7"] = "27706|"..L["Arena"].." "..L["Point"].." 1500"..L["p"],
					["8"] = "27702|"..L["Arena"].." "..L["Point"].." 1875"..L["p"],
					["9"] = "27703|"..L["Arena"].." "..L["Point"].." 1125"..L["p"],
					["10"] = "27705|"..L["Arena"].." "..L["Point"].." 1875"..L["p"],
					["11"] = "27881|"..L["Arena"].." "..L["Point"].." 1875"..L["p"],
					["12"] = "27883|"..L["Arena"].." "..L["Point"].." 1500"..L["p"],
					["13"] = "27879|"..L["Arena"].." "..L["Point"].." 1875"..L["p"],
					["14"] = "27880|"..L["Arena"].." "..L["Point"].." 1125"..L["p"],
					["15"] = "27882|"..L["Arena"].." "..L["Point"].." 1875"..L["p"],
				},
				["Mage"] = {
					["1"] = "25855|"..L["Arena"].." "..L["Point"].." 1875"..L["p"],
					["2"] = "25854|"..L["Arena"].." "..L["Point"].." 1500"..L["p"],
					["3"] = "25856|"..L["Arena"].." "..L["Point"].." 1875"..L["p"],
					["4"] = "25857|"..L["Arena"].." "..L["Point"].." 1125"..L["p"],
					["5"] = "25858|"..L["Arena"].." "..L["Point"].." 1875"..L["p"],
				},
				["Warlock"] = {
					["1"] = "30187|"..L["Arena"].." "..L["Point"].." 1875"..L["p"],
					["2"] = "30186|"..L["Arena"].." "..L["Point"].." 1500"..L["p"],
					["3"] = "30200|"..L["Arena"].." "..L["Point"].." 1875"..L["p"],
					["4"] = "30188|"..L["Arena"].." "..L["Point"].." 1125"..L["p"],
					["5"] = "30201|"..L["Arena"].." "..L["Point"].." 1875"..L["p"],
					["6"] = "24553|"..L["Arena"].." "..L["Point"].." 1875"..L["p"],
					["7"] = "24554|"..L["Arena"].." "..L["Point"].." 1500"..L["p"],
					["8"] = "24552|"..L["Arena"].." "..L["Point"].." 1875"..L["p"],
					["9"] = "24556|"..L["Arena"].." "..L["Point"].." 1125"..L["p"],
					["10"] = "24555|"..L["Arena"].." "..L["Point"].." 1875"..L["p"],
				},
				["Druid"] = {
					["1"] = "31376|"..L["Arena"].." "..L["Point"].." 1875"..L["p"],
					["2"] = "31378|"..L["Arena"].." "..L["Point"].." 1500"..L["p"],
					["3"] = "31379|"..L["Arena"].." "..L["Point"].." 1875"..L["p"],
					["4"] = "31375|"..L["Arena"].." "..L["Point"].." 1125"..L["p"],
					["5"] = "31377|"..L["Arena"].." "..L["Point"].." 1875"..L["p"],
					["6"] = "28127|"..L["Arena"].." "..L["Point"].." 1875"..L["p"],
					["7"] = "28129|"..L["Arena"].." "..L["Point"].." 1500"..L["p"],
					["8"] = "28130|"..L["Arena"].." "..L["Point"].." 1875"..L["p"],
					["9"] = "28126|"..L["Arena"].." "..L["Point"].." 1125"..L["p"],
					["10"] = "28128|"..L["Arena"].." "..L["Point"].." 1875"..L["p"],
					["11"] = "28137|"..L["Arena"].." "..L["Point"].." 1875"..L["p"],
					["12"] = "28139|"..L["Arena"].." "..L["Point"].." 1500"..L["p"],
					["13"] = "28140|"..L["Arena"].." "..L["Point"].." 1875"..L["p"],
					["14"] = "28136|"..L["Arena"].." "..L["Point"].." 1125"..L["p"],
					["15"] = "28138|"..L["Arena"].." "..L["Point"].." 1875"..L["p"],
				},
				["Warrior"] = {
					["1"] = "24545|"..L["Arena"].." "..L["Point"].." 1875"..L["p"],
					["2"] = "24546|"..L["Arena"].." "..L["Point"].." 1500"..L["p"],
					["3"] = "24544|"..L["Arena"].." "..L["Point"].." 1875"..L["p"],
					["4"] = "24549|"..L["Arena"].." "..L["Point"].." 1125"..L["p"],
					["5"] = "24547|"..L["Arena"].." "..L["Point"].." 1875"..L["p"],
				},
				["Rogue"] = {
					["1"] = "25830|"..L["Arena"].." "..L["Point"].." 1875"..L["p"],
					["2"] = "25832|"..L["Arena"].." "..L["Point"].." 1500"..L["p"],
					["3"] = "25831|"..L["Arena"].." "..L["Point"].." 1875"..L["p"],
					["4"] = "25834|"..L["Arena"].." "..L["Point"].." 1125"..L["p"],
					["5"] = "25833|"..L["Arena"].." "..L["Point"].." 1875"..L["p"],
				},
				["Hunter"] = {
					["1"] = "28331|"..L["Arena"].." "..L["Point"].." 1875"..L["p"],
					["2"] = "28333|"..L["Arena"].." "..L["Point"].." 1500"..L["p"],
					["3"] = "28334|"..L["Arena"].." "..L["Point"].." 1875"..L["p"],
					["4"] = "28335|"..L["Arena"].." "..L["Point"].." 1125"..L["p"],
					["5"] = "28332|"..L["Arena"].." "..L["Point"].." 1875"..L["p"],
				},
				["Shaman"] = {
					["1"] = "31400|"..L["Arena"].." "..L["Point"].." 1875"..L["p"],
					["2"] = "31407|"..L["Arena"].." "..L["Point"].." 1500"..L["p"],
					["3"] = "31396|"..L["Arena"].." "..L["Point"].." 1875"..L["p"],
					["4"] = "31397|"..L["Arena"].." "..L["Point"].." 1125"..L["p"],
					["5"] = "31406|"..L["Arena"].." "..L["Point"].." 1875"..L["p"],
					["6"] = "25998|"..L["Arena"].." "..L["Point"].." 1875"..L["p"],
					["7"] = "25999|"..L["Arena"].." "..L["Point"].." 1500"..L["p"],
					["8"] = "25997|"..L["Arena"].." "..L["Point"].." 1875"..L["p"],
					["9"] = "26000|"..L["Arena"].." "..L["Point"].." 1125"..L["p"],
					["10"] = "26001|"..L["Arena"].." "..L["Point"].." 1875"..L["p"],
					["11"] = "27471|"..L["Arena"].." "..L["Point"].." 1875"..L["p"],
					["12"] = "27473|"..L["Arena"].." "..L["Point"].." 1500"..L["p"],
					["13"] = "27469|"..L["Arena"].." "..L["Point"].." 1875"..L["p"],
					["14"] = "27470|"..L["Arena"].." "..L["Point"].." 1125"..L["p"],
					["15"] = "27472|"..L["Arena"].." "..L["Point"].." 1875"..L["p"],
				},	
				["Weapon|10"] = {
					["1"] = "28305|"..L["Arena"].." "..L["Point"].." 2625"..L["p"],
					["2"] = "28302|"..L["Arena"].." "..L["Point"].." 1125"..L["p"],
					["3"] = "28313|"..L["Arena"].." "..L["Point"].." 2625"..L["p"],
					["4"] = "28314|"..L["Arena"].." "..L["Point"].." 1125"..L["p"],
					["5"] = "28308|"..L["Arena"].." "..L["Point"].." 2625"..L["p"],
					["6"] = "28309|"..L["Arena"].." "..L["Point"].." 1125"..L["p"],
					["7"] = "28295|"..L["Arena"].." "..L["Point"].." 2625"..L["p"],
					["8"] = "28307|"..L["Arena"].." "..L["Point"].." 1125"..L["p"],
					["9"] = "28312|"..L["Arena"].." "..L["Point"].." 2625"..L["p"],
					["10"] = "28310|"..L["Arena"].." "..L["Point"].." 1125"..L["p"],
					["11"] = "28476|"..L["Arena"].." "..L["Point"].." 1875"..L["p"],
					["12"] = "28299|"..L["Arena"].." "..L["Point"].." 1875"..L["p"],
					["13"] = "28294|"..L["Arena"].." "..L["Point"].." 1500"..L["p"],
					["14"] = "28298|"..L["Arena"].." "..L["Point"].." 1875"..L["p"],
					["15"] = "24550|"..L["Arena"].." "..L["Point"].." 3750"..L["p"],
					["16"] = "24557|"..L["Arena"].." "..L["Point"].." 3750"..L["p"],
					["17"] = "28358|"..L["Arena"].." "..L["Point"].." 1875"..L["p"],
					["18"] = "28346|"..L["Arena"].." "..L["Point"].." 1125"..L["p"],
					["19"] = "28357|"..L["Arena"].." "..L["Point"].." 1000"..L["p"],
					["20"] = "28355|"..L["Arena"].." "..L["Point"].." 1000"..L["p"],
					["21"] = "28356|"..L["Arena"].." "..L["Point"].." 1000"..L["p"],
					["22"] = "28319|"..L["Arena"].." "..L["Point"].." 1000"..L["p"],
					["23"] = "28320|"..L["Arena"].." "..L["Point"].." 1000"..L["p"],
					["24"] = "28297|"..L["Arena"].." "..L["Point"].." 3750"..L["p"],
					["25"] = "28300|"..L["Arena"].." "..L["Point"].." 3750"..L["p"],
				},			
			},			
		},
		["BattelGrount"] = {
			["The Defilers|H|5"] = {
			},
			["Frostwolf Clan|H|1"] = {
			},
			["The League of Arathor|A|6"] = {
			},
			["Silverwing Sentinels|A|4"] = {
			},
			["Stormpike Guard|A|2"] = {
			},
			["Warsong Outriders|H|3"] = {
			},
		},
		["Point"] = {
			["Champions' Hall|A|1"] = {
				["Cloth|1"] = {
					["1"] = "29002|"..L["PvP"].." "..L["Point"].." 13875"..L["p"].."/"..L["Warsong Gulch Mark of Honor"].." 20",
					["2"] = "29001|"..L["PvP"].." "..L["Point"].." 21000"..L["p"].."/"..L["Arathi Basin Mark of Honor"].." 40",
					["3"] = "29003|"..L["PvP"].." "..L["Point"].." 21000"..L["p"].."/"..L["Eye of the Storm Mark of Honor"].." 40",
					["4"] = "28981|"..L["PvP"].." "..L["Point"].." 13875"..L["p"].."/"..L["Warsong Gulch Mark of Honor"].." 20",
					["5"] = "28980|"..L["PvP"].." "..L["Point"].." 21000"..L["p"].."/"..L["Arathi Basin Mark of Honor"].." 40",
					["6"] = "28982|"..L["PvP"].." "..L["Point"].." 21000"..L["p"].."/"..L["Eye of the Storm Mark of Honor"].." 40",
				},
				["Leather|2"] = {
					["1"] = "28988|"..L["PvP"].." "..L["Point"].." 13875"..L["p"].."/"..L["Warsong Gulch Mark of Honor"].." 20",
					["2"] = "28986|"..L["PvP"].." "..L["Point"].." 21000"..L["p"].."/"..L["Arathi Basin Mark of Honor"].." 40",
					["3"] = "28987|"..L["PvP"].." "..L["Point"].." 21000"..L["p"].."/"..L["Eye of the Storm Mark of Honor"].." 40",
					["4"] = "28978|"..L["PvP"].." "..L["Point"].." 13875"..L["p"].."/"..L["Warsong Gulch Mark of Honor"].." 20",
					["5"] = "28976|"..L["PvP"].." "..L["Point"].." 21000"..L["p"].."/"..L["Arathi Basin Mark of Honor"].." 40",
					["6"] = "28977|"..L["PvP"].." "..L["Point"].." 21000"..L["p"].."/"..L["Eye of the Storm Mark of Honor"].." 40",
					["7"] = "29006|"..L["PvP"].." "..L["Point"].." 13875"..L["p"].."/"..L["Warsong Gulch Mark of Honor"].." 20",
					["8"] = "29004|"..L["PvP"].." "..L["Point"].." 21000"..L["p"].."/"..L["Arathi Basin Mark of Honor"].." 40",
					["9"] = "29005|"..L["PvP"].." "..L["Point"].." 21000"..L["p"].."/"..L["Eye of the Storm Mark of Honor"].." 40",
					["10"] = "31599|"..L["PvP"].." "..L["Point"].." 13875"..L["p"].."/"..L["Warsong Gulch Mark of Honor"].." 20",
					["11"] = "31596|"..L["PvP"].." "..L["Point"].." 21000"..L["p"].."/"..L["Arathi Basin Mark of Honor"].." 40",
					["12"] = "31597|"..L["PvP"].." "..L["Point"].." 21000"..L["p"].."/"..L["Eye of the Storm Mark of Honor"].." 40",
				},
				["Mail|3"] = {
					["1"] = "28973|"..L["PvP"].." "..L["Point"].." 13875"..L["p"].."/"..L["Warsong Gulch Mark of Honor"].." 20",
					["2"] = "28974|"..L["PvP"].." "..L["Point"].." 21000"..L["p"].."/"..L["Arathi Basin Mark of Honor"].." 40",
					["3"] = "28975|"..L["PvP"].." "..L["Point"].." 21000"..L["p"].."/"..L["Eye of the Storm Mark of Honor"].." 40",
					["4"] = "28989|"..L["PvP"].." "..L["Point"].." 13875"..L["p"].."/"..L["Warsong Gulch Mark of Honor"].." 20",
					["5"] = "28990|"..L["PvP"].." "..L["Point"].." 21000"..L["p"].."/"..L["Arathi Basin Mark of Honor"].." 40",
					["6"] = "28991|"..L["PvP"].." "..L["Point"].." 21000"..L["p"].."/"..L["Eye of the Storm Mark of Honor"].." 40",
					["7"] = "28992|"..L["PvP"].." "..L["Point"].." 13875"..L["p"].."/"..L["Warsong Gulch Mark of Honor"].." 20",
					["8"] = "28993|"..L["PvP"].." "..L["Point"].." 21000"..L["p"].."/"..L["Arathi Basin Mark of Honor"].." 40",
					["9"] = "28994|"..L["PvP"].." "..L["Point"].." 21000"..L["p"].."/"..L["Eye of the Storm Mark of Honor"].." 40",
				},
				["Plate|4"] = {
					["1"] = "28996|"..L["PvP"].." "..L["Point"].." 13875"..L["p"].."/"..L["Warsong Gulch Mark of Honor"].." 20",
					["2"] = "28995|"..L["PvP"].." "..L["Point"].." 21000"..L["p"].."/"..L["Arathi Basin Mark of Honor"].." 40",
					["3"] = "28997|"..L["PvP"].." "..L["Point"].." 21000"..L["p"].."/"..L["Eye of the Storm Mark of Honor"].." 40",
					["4"] = "28999|"..L["PvP"].." "..L["Point"].." 13875"..L["p"].."/"..L["Warsong Gulch Mark of Honor"].." 20",
					["5"] = "28998|"..L["PvP"].." "..L["Point"].." 21000"..L["p"].."/"..L["Arathi Basin Mark of Honor"].." 40",
					["6"] = "29000|"..L["PvP"].." "..L["Point"].." 21000"..L["p"].."/"..L["Eye of the Storm Mark of Honor"].." 40",
					["7"] = "28984|"..L["PvP"].." "..L["Point"].." 13875"..L["p"].."/"..L["Warsong Gulch Mark of Honor"].." 20",
					["8"] = "28983|"..L["PvP"].." "..L["Point"].." 21000"..L["p"].."/"..L["Arathi Basin Mark of Honor"].." 40",
					["9"] = "28985|"..L["PvP"].." "..L["Point"].." 21000"..L["p"].."/"..L["Eye of the Storm Mark of Honor"].." 40",
				},
				["Cloak|5"] = {
					["1"] = "28380|"..L["PvP"].." "..L["Point"].." 13875"..L["p"].."/"..L["Arathi Basin Mark of Honor"].." 20",
					["2"] = "28387|"..L["PvP"].." "..L["Point"].." 13875"..L["p"].."/"..L["Arathi Basin Mark of Honor"].." 20",
				},
				["Trinket|6"] = {
					["1"] = "25829|"..L["PvP"].." "..L["Point"].." 24975"..L["p"],
					["2"] = "28235|"..L["PvP"].." "..L["Point"].." 24975"..L["p"],
					["3"] = "28234|"..L["PvP"].." "..L["Point"].." 24975"..L["p"],
					["4"] = "30348|"..L["PvP"].." "..L["Point"].." 24975"..L["p"],
					["5"] = "30349|"..L["PvP"].." "..L["Point"].." 24975"..L["p"],
					["6"] = "30350|"..L["PvP"].." "..L["Point"].." 24975"..L["p"],
					["7"] = "28238|"..L["PvP"].." "..L["Point"].." 24975"..L["p"],
					["8"] = "28236|"..L["PvP"].." "..L["Point"].." 24975"..L["p"],
					["9"] = "28237|"..L["PvP"].." "..L["Point"].." 24975"..L["p"],
					["10"] = "30351|"..L["PvP"].." "..L["Point"].." 24975"..L["p"],
				},
				["Weapon|7"] = {
					["1"] = "28953|"..L["PvP"].." "..L["Point"].." 22500"..L["p"].."/"..L["Eye of the Storm Mark of Honor"].." 20",
					["2"] = "28947|"..L["PvP"].." "..L["Point"].." 22500"..L["p"].."/"..L["Eye of the Storm Mark of Honor"].." 20",
					["3"] = "28950|"..L["PvP"].." "..L["Point"].." 22500"..L["p"].."/"..L["Eye of the Storm Mark of Honor"].." 20",
					["4"] = "28951|"..L["PvP"].." "..L["Point"].." 22500"..L["p"].."/"..L["Eye of the Storm Mark of Honor"].." 20",
					["5"] = "28954|"..L["PvP"].." "..L["Point"].." 22500"..L["p"].."/"..L["Eye of the Storm Mark of Honor"].." 20",
					["6"] = "28955|"..L["PvP"].." "..L["Point"].." 22500"..L["p"].."/"..L["Eye of the Storm Mark of Honor"].." 20",
					["7"] = "28944|"..L["PvP"].." "..L["Point"].." 22500"..L["p"].."/"..L["Eye of the Storm Mark of Honor"].." 20",
					["8"] = "28946|"..L["PvP"].." "..L["Point"].." 22500"..L["p"].."/"..L["Eye of the Storm Mark of Honor"].." 20",
					["9"] = "28952|"..L["PvP"].." "..L["Point"].." 22500"..L["p"].."/"..L["Eye of the Storm Mark of Honor"].." 20",
					["10"] = "28952|"..L["PvP"].." "..L["Point"].." 22500"..L["p"].."/"..L["Eye of the Storm Mark of Honor"].." 20",
					["11"] = "28956|"..L["PvP"].." "..L["Point"].." 22500"..L["p"].."/"..L["Eye of the Storm Mark of Honor"].." 20",
					["12"] = "28948|"..L["PvP"].." "..L["Point"].." 45000"..L["p"].."/"..L["Alterac Valley Mark of Honor"].." 40",
					["13"] = "28942|"..L["PvP"].." "..L["Point"].." 45000"..L["p"].."/"..L["Alterac Valley Mark of Honor"].." 40",
					["14"] = "28943|"..L["PvP"].." "..L["Point"].." 45000"..L["p"].."/"..L["Alterac Valley Mark of Honor"].." 40",
					["15"] = "28949|"..L["PvP"].." "..L["Point"].." 45000"..L["p"].."/"..L["Alterac Valley Mark of Honor"].." 40",
					["16"] = "28945|"..L["PvP"].." "..L["Point"].." 45000"..L["p"].."/"..L["Alterac Valley Mark of Honor"].." 40",
					["17"] = "28959|"..L["PvP"].." "..L["Point"].." 45000"..L["p"].."/"..L["Alterac Valley Mark of Honor"].." 40",
					["18"] = "28960|"..L["PvP"].." "..L["Point"].." 30000"..L["p"].."/"..L["Alterac Valley Mark of Honor"].." 40",
					["19"] = "28940|"..L["PvP"].." "..L["Point"].." 22500"..L["p"].."/"..L["Eye of the Storm Mark of Honor"].." 20",
					["20"] = "28941|"..L["PvP"].." "..L["Point"].." 22500"..L["p"].."/"..L["Eye of the Storm Mark of Honor"].." 20",
				},
				["Priest"] = {
					["1"] = "28705|"..L["PvP"].." "..L["Point"].." 23625"..L["p"].."/"..L["Alterac Valley Mark of Honor"].." 30",
					["2"] = "28707|"..L["PvP"].." "..L["Point"].." 14850"..L["p"].."/"..L["Arathi Basin Mark of Honor"].." 20",
					["3"] = "28708|"..L["PvP"].." "..L["Point"].." 24300"..L["p"].."/"..L["Arathi Basin Mark of Honor"].." 30",
					["4"] = "28704|"..L["PvP"].." "..L["Point"].." 14850"..L["p"].."/"..L["Alterac Valley Mark of Honor"].." 20",
					["5"] = "28706|"..L["PvP"].." "..L["Point"].." 24625"..L["p"].."/"..L["Warsong Gulch Mark of Honor"].." 30",
					["6"] = "31622|"..L["PvP"].." "..L["Point"].." 23625"..L["p"].."/"..L["Alterac Valley Mark of Honor"].." 30",
					["7"] = "31624|"..L["PvP"].." "..L["Point"].." 14850"..L["p"].."/"..L["Arathi Basin Mark of Honor"].." 20",
					["8"] = "31625|"..L["PvP"].." "..L["Point"].." 24300"..L["p"].."/"..L["Arathi Basin Mark of Honor"].." 30",
					["9"] = "31620|"..L["PvP"].." "..L["Point"].." 14850"..L["p"].."/"..L["Alterac Valley Mark of Honor"].." 20",
					["10"] = "31623|"..L["PvP"].." "..L["Point"].." 24625"..L["p"].."/"..L["Warsong Gulch Mark of Honor"].." 30",
				},
				["Paladin"] = {
					["1"] = "28681|"..L["PvP"].." "..L["Point"].." 23625"..L["p"].."/"..L["Alterac Valley Mark of Honor"].." 30",
					["2"] = "28683|"..L["PvP"].." "..L["Point"].." 14850"..L["p"].."/"..L["Arathi Basin Mark of Honor"].." 20",
					["3"] = "28679|"..L["PvP"].." "..L["Point"].." 24300"..L["p"].."/"..L["Arathi Basin Mark of Honor"].." 30",
					["4"] = "28680|"..L["PvP"].." "..L["Point"].." 14850"..L["p"].."/"..L["Alterac Valley Mark of Honor"].." 20",
					["5"] = "28724|"..L["PvP"].." "..L["Point"].." 24625"..L["p"].."/"..L["Warsong Gulch Mark of Honor"].." 30",
					["6"] = "28711|"..L["PvP"].." "..L["Point"].." 23625"..L["p"].."/"..L["Alterac Valley Mark of Honor"].." 30",
					["7"] = "28713|"..L["PvP"].." "..L["Point"].." 14850"..L["p"].."/"..L["Arathi Basin Mark of Honor"].." 20",
					["8"] = "28709|"..L["PvP"].." "..L["Point"].." 24300"..L["p"].."/"..L["Arathi Basin Mark of Honor"].." 30",
					["9"] = "28710|"..L["PvP"].." "..L["Point"].." 14850"..L["p"].."/"..L["Alterac Valley Mark of Honor"].." 20",
					["10"] = "28712|"..L["PvP"].." "..L["Point"].." 24625"..L["p"].."/"..L["Warsong Gulch Mark of Honor"].." 30",
					["11"] = "31632|"..L["PvP"].." "..L["Point"].." 23625"..L["p"].."/"..L["Alterac Valley Mark of Honor"].." 30",
					["12"] = "31634|"..L["PvP"].." "..L["Point"].." 14850"..L["p"].."/"..L["Arathi Basin Mark of Honor"].." 20",
					["13"] = "31630|"..L["PvP"].." "..L["Point"].." 24300"..L["p"].."/"..L["Arathi Basin Mark of Honor"].." 30",
					["14"] = "31631|"..L["PvP"].." "..L["Point"].." 14850"..L["p"].."/"..L["Alterac Valley Mark of Honor"].." 20",
					["15"] = "31633|"..L["PvP"].." "..L["Point"].." 24625"..L["p"].."/"..L["Warsong Gulch Mark of Honor"].." 30",
				},
				["Mage"] = {
					["1"] = "28715|"..L["PvP"].." "..L["Point"].." 23625"..L["p"].."/"..L["Alterac Valley Mark of Honor"].." 30",
					["2"] = "28714|"..L["PvP"].." "..L["Point"].." 14850"..L["p"].."/"..L["Arathi Basin Mark of Honor"].." 20",
					["3"] = "28717|"..L["PvP"].." "..L["Point"].." 24300"..L["p"].."/"..L["Arathi Basin Mark of Honor"].." 30",
					["4"] = "28716|"..L["PvP"].." "..L["Point"].." 14850"..L["p"].."/"..L["Alterac Valley Mark of Honor"].." 20",
					["5"] = "28718|"..L["PvP"].." "..L["Point"].." 24625"..L["p"].."/"..L["Warsong Gulch Mark of Honor"].." 30",
				},
				["Warlock"] = {
					["1"] = "28625|"..L["PvP"].." "..L["Point"].." 23625"..L["p"].."/"..L["Alterac Valley Mark of Honor"].." 30",
					["2"] = "28627|"..L["PvP"].." "..L["Point"].." 14850"..L["p"].."/"..L["Arathi Basin Mark of Honor"].." 20",
					["3"] = "28628|"..L["PvP"].." "..L["Point"].." 24300"..L["p"].."/"..L["Arathi Basin Mark of Honor"].." 30",
					["4"] = "28624|"..L["PvP"].." "..L["Point"].." 14850"..L["p"].."/"..L["Alterac Valley Mark of Honor"].." 20",
					["5"] = "28626|"..L["PvP"].." "..L["Point"].." 24625"..L["p"].."/"..L["Warsong Gulch Mark of Honor"].." 30",
				},
				["Druid"] = {
					["1"] = "31590|"..L["PvP"].." "..L["Point"].." 23625"..L["p"].."/"..L["Alterac Valley Mark of Honor"].." 30",
					["2"] = "31592|"..L["PvP"].." "..L["Point"].." 14850"..L["p"].."/"..L["Arathi Basin Mark of Honor"].." 20",
					["3"] = "31593|"..L["PvP"].." "..L["Point"].." 24300"..L["p"].."/"..L["Arathi Basin Mark of Honor"].." 30",
					["4"] = "31589|"..L["PvP"].." "..L["Point"].." 14850"..L["p"].."/"..L["Alterac Valley Mark of Honor"].." 20",
					["5"] = "31591|"..L["PvP"].." "..L["Point"].." 24625"..L["p"].."/"..L["Warsong Gulch Mark of Honor"].." 30",
					["6"] = "28619|"..L["PvP"].." "..L["Point"].." 23625"..L["p"].."/"..L["Alterac Valley Mark of Honor"].." 30",
					["7"] = "28622|"..L["PvP"].." "..L["Point"].." 14850"..L["p"].."/"..L["Arathi Basin Mark of Honor"].." 20",
					["8"] = "28623|"..L["PvP"].." "..L["Point"].." 24300"..L["p"].."/"..L["Arathi Basin Mark of Honor"].." 30",
					["9"] = "28618|"..L["PvP"].." "..L["Point"].." 14850"..L["p"].."/"..L["Alterac Valley Mark of Honor"].." 20",
					["10"] = "28620|"..L["PvP"].." "..L["Point"].." 24625"..L["p"].."/"..L["Warsong Gulch Mark of Honor"].." 30",
					["11"] = "28720|"..L["PvP"].." "..L["Point"].." 23625"..L["p"].."/"..L["Alterac Valley Mark of Honor"].." 30",
					["12"] = "28722|"..L["PvP"].." "..L["Point"].." 14850"..L["p"].."/"..L["Arathi Basin Mark of Honor"].." 20",
					["13"] = "28723|"..L["PvP"].." "..L["Point"].." 24300"..L["p"].."/"..L["Arathi Basin Mark of Honor"].." 30",
					["14"] = "28719|"..L["PvP"].." "..L["Point"].." 14850"..L["p"].."/"..L["Alterac Valley Mark of Honor"].." 20",
					["15"] = "28721|"..L["PvP"].." "..L["Point"].." 24625"..L["p"].."/"..L["Warsong Gulch Mark of Honor"].." 30",
				},
				["Warrior"] = {
					["1"] = "28701|"..L["PvP"].." "..L["Point"].." 23625"..L["p"].."/"..L["Alterac Valley Mark of Honor"].." 30",
					["2"] = "28703|"..L["PvP"].." "..L["Point"].." 14850"..L["p"].."/"..L["Arathi Basin Mark of Honor"].." 20",
					["3"] = "28699|"..L["PvP"].." "..L["Point"].." 24300"..L["p"].."/"..L["Arathi Basin Mark of Honor"].." 30",
					["4"] = "28700|"..L["PvP"].." "..L["Point"].." 14850"..L["p"].."/"..L["Alterac Valley Mark of Honor"].." 20",
					["5"] = "28702|"..L["PvP"].." "..L["Point"].." 24625"..L["p"].."/"..L["Warsong Gulch Mark of Honor"].." 30",
				},
				["Rogue"] = {
					["1"] = "28685|"..L["PvP"].." "..L["Point"].." 23625"..L["p"].."/"..L["Alterac Valley Mark of Honor"].." 30",
					["2"] = "28687|"..L["PvP"].." "..L["Point"].." 14850"..L["p"].."/"..L["Arathi Basin Mark of Honor"].." 20",
					["3"] = "28688|"..L["PvP"].." "..L["Point"].." 24300"..L["p"].."/"..L["Arathi Basin Mark of Honor"].." 30",
					["4"] = "28684|"..L["PvP"].." "..L["Point"].." 14850"..L["p"].."/"..L["Alterac Valley Mark of Honor"].." 20",
					["5"] = "28686|"..L["PvP"].." "..L["Point"].." 24625"..L["p"].."/"..L["Warsong Gulch Mark of Honor"].." 30",
				},
				["Hunter"] = {
					["1"] = "28615|"..L["PvP"].." "..L["Point"].." 23625"..L["p"].."/"..L["Alterac Valley Mark of Honor"].." 30",
					["2"] = "28617|"..L["PvP"].." "..L["Point"].." 14850"..L["p"].."/"..L["Arathi Basin Mark of Honor"].." 20",
					["3"] = "28613|"..L["PvP"].." "..L["Point"].." 24300"..L["p"].."/"..L["Arathi Basin Mark of Honor"].." 30",
					["4"] = "28614|"..L["PvP"].." "..L["Point"].." 14850"..L["p"].."/"..L["Alterac Valley Mark of Honor"].." 20",
					["5"] = "28616|"..L["PvP"].." "..L["Point"].." 24625"..L["p"].."/"..L["Warsong Gulch Mark of Honor"].." 30",
				},
				["Shaman"] = {
					["1"] = "31642|"..L["PvP"].." "..L["Point"].." 23625"..L["p"].."/"..L["Alterac Valley Mark of Honor"].." 30",
					["2"] = "31644|"..L["PvP"].." "..L["Point"].." 14850"..L["p"].."/"..L["Arathi Basin Mark of Honor"].." 20",
					["3"] = "31640|"..L["PvP"].." "..L["Point"].." 24300"..L["p"].."/"..L["Arathi Basin Mark of Honor"].." 30",
					["4"] = "31641|"..L["PvP"].." "..L["Point"].." 14850"..L["p"].."/"..L["Alterac Valley Mark of Honor"].." 20",
					["5"] = "31643|"..L["PvP"].." "..L["Point"].." 24625"..L["p"].."/"..L["Warsong Gulch Mark of Honor"].." 30",
					["6"] = "28691|"..L["PvP"].." "..L["Point"].." 23625"..L["p"].."/"..L["Alterac Valley Mark of Honor"].." 30",
					["7"] = "28693|"..L["PvP"].." "..L["Point"].." 14850"..L["p"].."/"..L["Arathi Basin Mark of Honor"].." 20",
					["8"] = "28689|"..L["PvP"].." "..L["Point"].." 24300"..L["p"].."/"..L["Arathi Basin Mark of Honor"].." 30",
					["9"] = "28690|"..L["PvP"].." "..L["Point"].." 14850"..L["p"].."/"..L["Alterac Valley Mark of Honor"].." 20",
					["10"] = "28692|"..L["PvP"].." "..L["Point"].." 24625"..L["p"].."/"..L["Warsong Gulch Mark of Honor"].." 30",
					["11"] = "28696|"..L["PvP"].." "..L["Point"].." 23625"..L["p"].."/"..L["Alterac Valley Mark of Honor"].." 30",
					["12"] = "28698|"..L["PvP"].." "..L["Point"].." 14850"..L["p"].."/"..L["Arathi Basin Mark of Honor"].." 20",
					["13"] = "28694|"..L["PvP"].." "..L["Point"].." 24300"..L["p"].."/"..L["Arathi Basin Mark of Honor"].." 30",
					["14"] = "28695|"..L["PvP"].." "..L["Point"].." 14850"..L["p"].."/"..L["Alterac Valley Mark of Honor"].." 20",
					["15"] = "28697|"..L["PvP"].." "..L["Point"].." 24625"..L["p"].."/"..L["Warsong Gulch Mark of Honor"].." 30",
				},				
			},
			["Hall of Legends|H"] = {
				["Cloth|1"] = {
				},
				["Leather|2"] = {
				},
				["Mail|3"] = {
				},
				["Plate|4"] = {
				},
				["Cloak|5"] = {
				},
				["Trinket|6"] = {
				},
				["Weapon|7"] = {
				},
			},
		},
	},
	["Exchange|7"] = {
		["Shattrath City|1"] = {
                        ["G'eras|1"] = {
				["Neck|1"] = {
					["1"] = "29386|"..L["Badge of Justice"].." 25",
					["2"] = "29374|"..L["Badge of Justice"].." 25",
					["3"] = "29368|"..L["Badge of Justice"].." 25",
					["4"] = "29381|"..L["Badge of Justice"].." 25",
				},
				["Cloak|2"] = {
					["1"] = "29385|"..L["Badge of Justice"].." 25",
					["2"] = "29375|"..L["Badge of Justice"].." 25",
					["3"] = "29369|"..L["Badge of Justice"].." 25",
					["4"] = "29382|"..L["Badge of Justice"].." 25",
				},
				["Ring|3"] = {
					["1"] = "29384|"..L["Badge of Justice"].." 25",
					["2"] = "29373|"..L["Badge of Justice"].." 25",
					["3"] = "29367|"..L["Badge of Justice"].." 25",
					["4"] = "29379|"..L["Badge of Justice"].." 25",
				},
				["Trinket|4"] = {
					["1"] = "29387|"..L["Badge of Justice"].." 41",
					["2"] = "29376|"..L["Badge of Justice"].." 41",
					["3"] = "29370|"..L["Badge of Justice"].." 41",
					["4"] = "29383|"..L["Badge of Justice"].." 41",
				},
				["Off Hand"] = {
					["1"] = "29266|"..L["Badge of Justice"].." 33",
					["2"] = "29267|"..L["Badge of Justice"].." 33",
					["3"] = "29268|"..L["Badge of Justice"].." 33",
					["4"] = "29275|"..L["Badge of Justice"].." 25",
				},
				["Held in Off-Hand|5"] = {
					["1"] = "29274|"..L["Badge of Justice"].." 25",
					["2"] = "29271|"..L["Badge of Justice"].." 25",
					["3"] = "29272|"..L["Badge of Justice"].." 25",
					["4"] = "29269|"..L["Badge of Justice"].." 25",
					["5"] = "29273|"..L["Badge of Justice"].." 25",
					["6"] = "29270|"..L["Badge of Justice"].." 25",
				},
				["Relic"] = {
					["1"] = "29390|"..L["Badge of Justice"].." 15",
					["2"] = "29388|"..L["Badge of Justice"].." 15",
					["3"] = "29389|"..L["Badge of Justice"].." 15",
				},
				["Cloth|6"] = {
					["1"] = "30762|"..L["Badge of Justice"].." 30",
					["2"] = "30764|"..L["Badge of Justice"].." 20",
					["3"] = "30761|"..L["Badge of Justice"].." 30",
					["4"] = "30763|"..L["Badge of Justice"].." 20",
				},
				["Leather|7"] = {
					["1"] = "30776|"..L["Badge of Justice"].." 30",
					["2"] = "30780|"..L["Badge of Justice"].." 20",
					["3"] = "30778|"..L["Badge of Justice"].." 30",
					["4"] = "30779|"..L["Badge of Justice"].." 20",
				},
				["Mail|8"] = {
					["1"] = "30773|"..L["Badge of Justice"].." 30",
					["2"] = "30774|"..L["Badge of Justice"].." 20",
					["3"] = "30772|"..L["Badge of Justice"].." 30",
					["4"] = "30770|"..L["Badge of Justice"].." 20",
				},
				["Plate|9"] = {
					["1"] = "30769|"..L["Badge of Justice"].." 30",
					["2"] = "30767|"..L["Badge of Justice"].." 20",
					["3"] = "30766|"..L["Badge of Justice"].." 30",
					["4"] = "30768|"..L["Badge of Justice"].." 20",
				},
			},
		},
		["Allerian Stronghold|A|2"] = {
                        ["Spirit Sage Zran|1"] = {
				["Meta Gem|1"] = {
					["1"] = "28556|"..L["Spirit Shard"].." 8",
					["2"] = "28557|"..L["Spirit Shard"].." 8",
				},
				["Ring|2"] = {
					["1"] = "28553|"..L["Spirit Shard"].." 50",
					["2"] = "28555|"..L["Spirit Shard"].." 50",
				},
				["Head|3"] = {
					["1"] = "28759|"..L["Spirit Shard"].." 18",
					["2"] = "28760|"..L["Spirit Shard"].." 18",
					["3"] = "28561|"..L["Spirit Shard"].." 18",
					["4"] = "28574|"..L["Spirit Shard"].." 18",
					["5"] = "28575|"..L["Spirit Shard"].." 18",
					["6"] = "28576|"..L["Spirit Shard"].." 18",
					["7"] = "28577|"..L["Spirit Shard"].." 18",
					["8"] = "28758|"..L["Spirit Shard"].." 18",
					["9"] = "28559|"..L["Spirit Shard"].." 18",
					["10"] = "28560|"..L["Spirit Shard"].." 18",
					["11"] = "28761|"..L["Spirit Shard"].." 18",
				},
			},
		},
	},
}

